ChangeLog

# ChangeLog for net-fs/samba
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-fs/samba/ChangeLog,v 1.337 2008/06/12 12:10:25 dev-zero Exp $

*samba-3.2.0_rc2 (12 Jun 2008)

12 Jun 2008; Tiziano Müller
-samba-3.2.0_pre2.ebuild, +samba-3.2.0_rc2.ebuild:
Version bump

*samba-3.0.30 (31 May 2008)

31 May 2008; Tiziano Müller
-files/3.0.26a-CVE-2007-5398.patch, -samba-3.0.27.ebuild,
-samba-3.0.28a.ebuild, +samba-3.0.30.ebuild:
Version bump (bug #224201, #212955). Punted old versions (mips stable
keyword drop).

30 May 2008; Raúl Porcel samba-3.0.28a-r1.ebuild:
ia64 stable wrt #222299

*samba-3.0.28a-r1 (29 May 2008)

29 May 2008; Tiziano Müller
+files/3.0.28a-CVE-2008-1105.patch, +samba-3.0.28a-r1.ebuild:
Revision bump for security bug #222299

17 May 2008; Tiziano Müller
+files/3.0.28a-wrong_python_ldflags.patch, samba-3.0.28a.ebuild:
Fixed compilation problems with python and gcc-4.3 (bug #219604, thanks to
vorfeed.canal_AT_gmail_com for the hint)

21 Apr 2008; Tiziano Müller
+files/3.0.28-autoconf-2.62-fix.patch, samba-3.0.28.ebuild,
samba-3.0.28a.ebuild:
Added patch to fix problem with autoconf (bug #217272, thanks to vapier)

*samba-3.0.28a (10 Mar 2008)

10 Mar 2008; Tiziano Müller
files/config/system-auth-winbind, +samba-3.0.28a.ebuild:
Version bump. Fixed manifest (bug #212774). Fixed system-auth-winbind
installation (bug #212387).

*samba-3.2.0_pre2 (08 Mar 2008)

08 Mar 2008; Tiziano Müller
+files/config-3.2/lmhosts, +files/config-3.2/nsswitch.conf-winbind,
+files/config-3.2/nsswitch.conf-wins, +files/config-3.2/samba.pam,
+files/config-3.2/samba.schema, +files/config-3.2/smb.conf.example-samba3,
+files/config-3.2/smbusers, +files/config-3.2/swat.xinetd,
+files/config-3.2/system-auth-winbind, +samba-3.2.0_pre2.ebuild:
Version bump (pre-release\!)

27 Feb 2008; Tiziano Müller
-files/3.0.24-heap_overflow_v2.patch,
-files/3.0.24-sid2name_elevation_v2.patch,
-files/3.0.24-shell_escape.patch, -samba-3.0.24-r3.ebuild,
samba-3.0.28.ebuild:
Fixed double pam_*.so installation (bug #207021, thanks to flameeyes).
Dropped old version and patches.

20 Feb 2008; Tiziano Müller
+files/3.0.28-fix_broken_readdir_detection.patch,
+files/3.0.28-inotify_include.patch, +files/3.0.28-libcap_detection.patch,
samba-3.0.28.ebuild:
Added patches to fix bugs #210527 and #210662 and the broken-readdir detection.

18 Dec 2007; Tiziano Müller
-files/3.0.25c-CVE-2007-4138.patch, -files/3.0.25c-lazyldflags.patch,
-files/3.0.25c-py_smp.patch, -samba-3.0.25c-r2.ebuild,
-samba-3.0.26a-r1.ebuild, -samba-3.0.26a-r2.ebuild, samba-3.0.27.ebuild,
-samba-3.0.27a.ebuild, samba-3.0.28.ebuild:
Version cleanup. Added X64, IA64, COLOR printer driver directories.

*samba-3.0.28 (10 Dec 2007)

10 Dec 2007; Tiziano Müller +samba-3.0.28.ebuild:
Version bump for security bug #200773 (CVE-2007-6015).
Minor fixes for bugs #200132 and #199934.

02 Dec 2007; Tiziano Müller samba-3.0.27a.ebuild:
Added note to restart clients

24 Nov 2007; Chris Gianelloni samba-3.0.27a.ebuild:
Stable on amd64 wrt bug #197519.

24 Nov 2007; Brent Baude samba-3.0.27a.ebuild:
Marking samba-3.0.27a ppc for bug 197519

23 Nov 2007; Markus Rothe samba-3.0.27a.ebuild:
Stable on ppc64; bug #197519

22 Nov 2007; Jeroen Roovers samba-3.0.27a.ebuild:
Stable for HPPA (bug #197519).

22 Nov 2007; Raúl Porcel samba-3.0.27a.ebuild:
alpha/ia64/sparc stable wrt #197519

22 Nov 2007; Christian Faulhammer samba-3.0.27a.ebuild:
stable x86, security bug 197519

*samba-3.0.27a (21 Nov 2007)

21 Nov 2007; Tiziano Müller +samba-3.0.27a.ebuild:
Version bump which fixes CVE-2007-5398 correctly (security-bug #197519,
regression-bug #199450)

20 Nov 2007; Joshua Kinard samba-3.0.27.ebuild:
Stable on mips, per #197519.

18 Nov 2007; Markus Rothe samba-3.0.27.ebuild:
Stable on ppc64; bug #197519

18 Nov 2007; Tobias Scherbaum samba-3.0.27.ebuild:
ppc stable, bug #197519

16 Nov 2007; Raúl Porcel samba-3.0.27.ebuild:
alpha/ia64 stable wrt #197519

15 Nov 2007; Steve Dibb samba-3.0.27.ebuild:
amd64 stable, bug 197519

15 Nov 2007; Jeroen Roovers samba-3.0.27.ebuild:
Stable for HPPA (bug #197519).

15 Nov 2007; Markus Meier samba-3.0.27.ebuild:
x86 stable, security bug #197519

15 Nov 2007; Ferris McCormick samba-3.0.27.ebuild:
Sparc stable --- Security Bug #197519 --- installs with all tests passing.

*samba-3.0.27 (15 Nov 2007)

15 Nov 2007; Tiziano Müller +samba-3.0.27.ebuild:
Security-Version bump. Fixes CVE-2007-4572 (in addition to CVE-2007-5398).

*samba-3.0.26a-r2 (15 Nov 2007)

15 Nov 2007; Tiziano Müller
+files/3.0.26a-CVE-2007-5398.patch, +samba-3.0.26a-r2.ebuild:
Revision bump. Marking stable for all archs for remote vulnerability
security bug (CVE-2007-5398)

*samba-3.0.26a-r1 (02 Nov 2007)

02 Nov 2007; Tiziano Müller
+files/3.0.26a-invalid-free-fix.patch, -samba-3.0.26a.ebuild,
+samba-3.0.26a-r1.ebuild:
Added patch for bug #196015 (thanks to Evgeniy Dushistov)

31 Oct 2007; Tiziano Müller samba-3.0.26a.ebuild:
Removed some useless files from the dodoc-call, quoted some more vars.

31 Oct 2007; Tiziano Müller samba-3.0.26a.ebuild:
Removed broken 'remove stalled symlinks' fix

*samba-3.0.26a (15 Sep 2007)

15 Sep 2007; Tiziano Müller
+files/3.0.26a-lazyldflags.patch, -files/3.0.x-libdirsymlink.patch,
+samba-3.0.26a.ebuild:
Version bump. Removed unneeded patch.

11 Sep 2007; Roy Marples files/samba-init:
de-bashify the init script

*samba-3.0.25c-r2 (11 Sep 2007)

11 Sep 2007; Tiziano Müller
+files/3.0.25c-CVE-2007-4138.patch, -samba-3.0.25c-r1.ebuild,
+samba-3.0.25c-r2.ebuild:
Added security fix for CVE-2007-4138 (bug #192163)

10 Sep 2007; Tiziano Müller
samba-3.0.25c-r1.ebuild:
make better use of pam.eclass (bug #191942 thanks to Jakub Moc)

09 Sep 2007; Tiziano Müller
samba-3.0.25c-r1.ebuild:
Fixed newins and removed install of {mount,umount}.cifs.8 (bugs #191804 and
#191805 thanks to Jakub Moc)

*samba-3.0.25c-r1 (08 Sep 2007)

08 Sep 2007; Tiziano Müller files/samba-init,
-samba-3.0.25c.ebuild, +samba-3.0.25c-r1.ebuild:
Fixed init-script to correctly start daemons when not started via symlink
(bug #191647, thanks to Christoph Schulz)

*samba-3.0.25c (07 Sep 2007)

07 Sep 2007; Tiziano Müller
+files/3.0.25c-lazyldflags.patch, +files/3.0.25c-py_smp.patch,
+files/3.0.x-libdirsymlink.patch, +files/config/lmhosts,
+files/config/nsswitch.conf-winbind, +files/config/nsswitch.conf-wins,
+files/config/samba.pam, +files/config/samba.schema,
+files/config/smb.conf.example-samba3, +files/config/smbusers,
+files/config/swat.xinetd, +files/config/system-auth-winbind,
files/samba-init, +files/samba-xinetd, +samba-3.0.25c.ebuild:
Version bump (bug #178639, thanks to Johan Andersson for the py_smb-patch).
Added ipv6 support (bug #187905). Replaced 'kerberos' with 'ads' USE flag
(bug #181558). Added possibility to start daemons seperately (bug #112188).
Fixed python-handling (bug #177545).

24 Jun 2007; Tiziano Müller -samba-3.0.24.ebuild:
Dropped old version

09 Jun 2007; Tiziano Müller
-files/3.0.24-sid2name_elevation.patch, -files/3.0.24-heap_overflow.patch,
-samba-3.0.22-r3.ebuild, -samba-3.0.24-r1.ebuild, -samba-3.0.24-r2.ebuild:
Dropped old versions and patches.

01 Jun 2007; nixnut samba-3.0.24-r3.ebuild:
Stable on ppc wrt bug 179867

01 Jun 2007; Peter Weller samba-3.0.24-r3.ebuild:
Stable on amd64 wrt bug 179867

01 Jun 2007; Joshua Kinard samba-3.0.24-r3.ebuild:
Stable on mips, per #179867.

28 May 2007; Raúl Porcel samba-3.0.24-r3.ebuild:
alpha/ia64/x86 stable wrt #179867

28 May 2007; Gustavo Zacarias
samba-3.0.24-r3.ebuild:
Stable on sparc wrt #179867

27 May 2007; Brent Baude samba-3.0.24-r3.ebuild:
Marking samba-3.0.24-r3 ppc64 for bug 179867

27 May 2007; Joshua Kinard samba-3.0.24-r2.ebuild:
Stable on mips.

26 May 2007; Jeroen Roovers samba-3.0.24-r3.ebuild:
Stable for HPPA (bug #179867).

*samba-3.0.24-r3 (26 May 2007)

26 May 2007; Tiziano Müller
+files/3.0.24-heap_overflow_v2.patch,
+files/3.0.24-sid2name_elevation_v2.patch, +samba-3.0.24-r3.ebuild:
Updated security patches (bug #179867, thanks to Rafael Antonio Porras)

15 May 2007; Raúl Porcel samba-3.0.24-r2.ebuild:
alpha stable wrt security bug 177029

15 May 2007; Christian Faulhammer
samba-3.0.24-r2.ebuild:
stable amd64, security bug 177029

14 May 2007; Raúl Porcel samba-3.0.24-r2.ebuild:
ia64 stable wrt security bug 177029

14 May 2007; Tobias Scherbaum
samba-3.0.24-r2.ebuild:
ppc stable, bug #177029

14 May 2007; Joshua Jackson samba-3.0.24-r2.ebuild:
stable x86 security bug #177029

14 May 2007; Gustavo Zacarias
samba-3.0.24-r2.ebuild:
Stable on sparc wrt security #177029

*samba-3.0.24-r2 (14 May 2007)

14 May 2007; Markus Rothe
+files/3.0.24-heap_overflow.patch, +files/3.0.24-shell_escape.patch,
+files/3.0.24-sid2name_elevation.patch, +samba-3.0.24-r2.ebuild:
Version bump (fixes bug #177029 aka CVE-2007-2446, CVE-2007-2447) and mark
it stable on ppc64

12 May 2007; Joshua Kinard samba-3.0.24.ebuild:
Stable on mips.

06 May 2007; Marius Mauch samba-3.0.22-r3.ebuild,
samba-3.0.24.ebuild, samba-3.0.24-r1.ebuild:
Replacing einfo with elog

*samba-3.0.24-r1 (09 Apr 2007)

09 Apr 2007; Tiziano Müller +files/samba-conf,
+files/samba-init, +samba-3.0.24-r1.ebuild:
Removed obsolete patches. Moved conf.d/init.d files out of the tarball.
Fixed bug #170072 (thanks to Roy Marples)

01 Mar 2007; Daniel Black Manifest:
digest fix - bug #168842

01 Mar 2007; Doug Goldstein metadata.xml:
Fixing herd

26 Feb 2007; Tiziano Müller samba-3.0.24.ebuild:
Added caps USE-flag (bug #167863)

11 Feb 2007; Alexander H. Færøy samba-3.0.24.ebuild:
Stable on IA64; bug #165549

08 Feb 2007; Alexander H. Færøy samba-3.0.24.ebuild:
Stable on Alpha; Bug #165549

07 Feb 2007; Tiziano Müller
-samba-3.0.14a-r2.ebuild, -samba-3.0.20b.ebuild, -samba-3.0.21a.ebuild,
-samba-3.0.21b-r1.ebuild, -samba-3.0.22.ebuild, -samba-3.0.22-r2.ebuild,
-samba-3.0.23.ebuild, -samba-3.0.23a.ebuild, -samba-3.0.23d.ebuild:
Dropped old versions (bug #164208)

07 Feb 2007; Jeroen Roovers samba-3.0.24.ebuild:
Stable for HPPA (bug #165549).

06 Feb 2007; Simon Stelling samba-3.0.24.ebuild:
stable on amd64 wrt security bug 165549

06 Feb 2007; Tobias Scherbaum samba-3.0.24.ebuild:
Stable on ppc wrt bug #165549.

06 Feb 2007; Raúl Porcel samba-3.0.24.ebuild:
x86 stable wrt security bug 165549

06 Feb 2007; Markus Rothe samba-3.0.24.ebuild:
Stable on ppc64; bug #165549

06 Feb 2007; Gustavo Zacarias samba-3.0.24.ebuild:
Stable on sparc wrt security #165549

*samba-3.0.24 (06 Feb 2007)

06 Feb 2007; Tiziano Müller +samba-3.0.24.ebuild:
Version bump (fixes bug #165549 aka CVE-2007-0452, CVE-2007-0453,
CVE-2007-0454). Small cleanups.

08 Jan 2007; Diego Pettenò
samba-3.0.14a-r2.ebuild, samba-3.0.20b.ebuild, samba-3.0.21a.ebuild,
samba-3.0.21b-r1.ebuild, samba-3.0.22.ebuild, samba-3.0.22-r2.ebuild,
samba-3.0.22-r3.ebuild, samba-3.0.23.ebuild, samba-3.0.23a.ebuild,
samba-3.0.23d.ebuild:
Add inherit pam.

17 Dec 2006; Mike Frysinger samba-3.0.23d.ebuild:
Remove the swat binary if USE=swat since it will be unusable otherwise #138026.

*samba-3.0.23d (17 Dec 2006)

17 Dec 2006; Mike Frysinger +samba-3.0.23d.ebuild:
Version bump with a lot of help from Chris Smith #143903.

17 Dec 2006; Mike Frysinger samba-3.0.23a.ebuild:
Unpack the gentoo tarball first so that it doesnt force old timestamps onto
directories #146801 by Richard Fish.

13 Dec 2006; Charlie Shepherd
samba-3.0.23.ebuild:
Add blockers with dev-libs/tdb; bug 148001

23 Nov 2006; Francesco Riosa samba-3.0.14a-r2.ebuild,
samba-3.0.20b.ebuild, samba-3.0.21a.ebuild, samba-3.0.21b-r1.ebuild,
samba-3.0.22.ebuild, samba-3.0.22-r2.ebuild, samba-3.0.22-r3.ebuild,
samba-3.0.23.ebuild:
dev-db/mysql => virtual/mysql

30 Oct 2006; Roy Marples samba-3.0.23a.ebuild:
Added ~sparc-fbsd keyword.

05 Sep 2006; Joshua Kinard samba-3.0.22-r3.ebuild:
Marked stable on mips.

24 Jul 2006; Christian Andreetta samba-3.0.23a.ebuild:
shared modules fix (bug #140602)

*samba-3.0.23a (23 Jul 2006)

23 Jul 2006; Christian Andreetta +samba-3.0.23a.ebuild:
version bump. USE flags removed: xml, mysql, postgres, libclamav. Better
"-ldap" configure options. Added FEATURES="test" support
(--enable-socket-wrapper)

16 Jul 2006; Jose Luis Rivero samba-3.0.22-r3.ebuild:
Stable on alpha wrt security bug #139369

15 Jul 2006; Rene Nussbaumer
samba-3.0.22-r3.ebuild:
Stable on hppa. See bug #139369.

14 Jul 2006; Patrick McLean samba-3.0.22-r3.ebuild:
Stable on amd64 (bug #139369).

13 Jul 2006; Aron Griffis samba-3.0.22-r3.ebuild:
Mark 3.0.22-r3 stable on ia64

*samba-3.0.23 (12 Jul 2006)

12 Jul 2006; Christian Andreetta
-files/035_all_samba-3.0.21-winbind_log.patch, files/README.gentoo,
+samba-3.0.23.ebuild:
version bump. ldap schema small change. xml and *sql backends removed. See
README.gentoo for further informations

11 Jul 2006; Jason Wever samba-3.0.22-r3.ebuild:
Stable on SPARC wrt security bug #139369.

11 Jul 2006; Joshua Jackson samba-3.0.22-r3.ebuild:
Stable x86 bug #139369

11 Jul 2006; Tobias Scherbaum
samba-3.0.22-r3.ebuild:
ppc stable, bug #139369

11 Jul 2006; Markus Rothe samba-3.0.22-r3.ebuild:
Stable on ppc64; bug #139369

*samba-3.0.22-r3 (11 Jul 2006)

11 Jul 2006; Christian Andreetta
+samba-3.0.22-r3.ebuild:
security memory DoS fix (CVE-2006-3403: bug #139369)

06 Jul 2006; Seemant Kulleen samba-3.0.22-r2.ebuild:
Add the fix for autoconf-2.60 reported by Polinik and
fixed by Canal Vorfeed in bug #138234

08 Jun 2006; Christian Andreetta
samba-3.0.14a-r2.ebuild, samba-3.0.20b.ebuild, samba-3.0.21a.ebuild,
samba-3.0.21b-r1.ebuild, samba-3.0.22.ebuild, samba-3.0.22-r2.ebuild:
deprecated 'xml2' use flag removed (use 'xml' instead)

15 May 2006; Christian Andreetta
-samba-3.0.14a-r3.ebuild, -samba-3.0.21c-r1.ebuild,
-samba-3.0.22-r1.ebuild:
spring cleanings ;-)

15 May 2006; Christian Andreetta
samba-3.0.22-r1.ebuild, samba-3.0.22-r2.ebuild:
support for cups 1.2 libs location (bug #133133), removed msdfs use flag
(included by default: bug #127839)

28 Apr 2006; Jason Wever samba-3.0.22.ebuild:
Stable on SPARC wrt bug #124632.

27 Apr 2006; Alec Warner
files/digest-samba-3.0.14a-r2, files/digest-samba-3.0.14a-r3,
files/digest-samba-3.0.20b, files/digest-samba-3.0.21a,
files/digest-samba-3.0.21b-r1, files/digest-samba-3.0.21c-r1,
files/digest-samba-3.0.22, files/digest-samba-3.0.22-r1,
files/digest-samba-3.0.22-r2, Manifest:
Fixing SHA256 digest, pass four

*samba-3.0.22-r2 (27 Apr 2006)

27 Apr 2006; Christian Andreetta
+samba-3.0.22-r2.ebuild:
idmap_ad (active directory) backend on winbind use flag (bug #131443)

27 Apr 2006; Christian Andreetta
-samba-3.0.20-r1.ebuild, -samba-3.0.20a.ebuild, -samba-3.0.21b.ebuild,
-samba-3.0.21c.ebuild:
old versions cleanup

*samba-3.0.22-r1 (27 Apr 2006)

27 Apr 2006; Christian Andreetta
+samba-3.0.22-r1.ebuild:
net-fs/samba msdfs support (bug #127839: Simon C. Ion)

24 Apr 2006; Joshua Kinard samba-3.0.22.ebuild:
Marked stable on mips.

13 Apr 2006; Diego Pettenò samba-3.0.22.ebuild:
Add dependency over virtual/libiconv as needed.

13 Apr 2006; Diego Pettenò samba-3.0.22.ebuild:
Add ~x86-fbsd keyword and make sys-apps/acl dep under kernel_linux conditional.

09 Apr 2006; Markus Rothe samba-3.0.22.ebuild:
Stable on ppc64

08 Apr 2006; Mark Loeser samba-3.0.22.ebuild:
Stable on x86; bug #127924

05 Apr 2006; Markus Ullmann samba-3.0.22.ebuild:
Stable on arm wrt bug #127924

05 Apr 2006; Patrick McLean samba-3.0.22.ebuild:
Stable on amd64 (bug #127924)

04 Apr 2006; Aron Griffis samba-3.0.22.ebuild:
Mark 3.0.22 stable on ia64

03 Apr 2006; Tobias Scherbaum samba-3.0.22.ebuild:
ppc stable, bug #127924

02 Apr 2006; Guy Martin samba-3.0.22.ebuild:
Stable on hppa. Fix #127924 and unexpected relocs 0x42.

01 Apr 2006; Markus Rothe samba-3.0.21c-r1.ebuild:
Stable on ppc64; bug #127924

*samba-3.0.22 (31 Mar 2006)
*samba-3.0.21c-r1 (31 Mar 2006)
*samba-3.0.21b-r1 (31 Mar 2006)

31 Mar 2006; Christian Andreetta
+files/035_all_samba-3.0.21-winbind_log.patch, files/README.gentoo,
+samba-3.0.21b-r1.ebuild, +samba-3.0.21c-r1.ebuild, +samba-3.0.22.ebuild:
security fix CVE-2006-1059: winbind log private info exposure. samba-3.0.22 is
just 3.0.21c with the CVE patch

14 Mar 2006; Patrick McLean samba-3.0.21b.ebuild:
Stable on amd64 (bug #124632)

10 Mar 2006; Michael Hanselmann samba-3.0.21b.ebuild:
Stable on ppc.

10 Mar 2006; Joshua Jackson samba-3.0.21b.ebuild:
Stable on x86; bug #124632

10 Mar 2006; Aron Griffis samba-3.0.21b.ebuild:
Mark 3.0.21b stable on ia64

02 Mar 2006; Markus Rothe samba-3.0.21b.ebuild:
Stable on ppc64; bug #124632

*samba-3.0.21c (24 Feb 2006)

24 Feb 2006; Christian Andreetta +samba-3.0.21c.ebuild:
version bump (bug #123944)

*samba-3.0.21b (02 Feb 2006)

02 Feb 2006; Christian Andreetta +samba-3.0.21b.ebuild:
3.0.21b version bump: includes samba-vscan-0.3.6b support. *Many* thanks to
Chris Smith (bug #116284) for the patchset and the test

*samba-3.0.21a (02 Feb 2006)

02 Feb 2006; Christian Andreetta +samba-3.0.21a.ebuild:
3.0.21a version bump: includes samba-vscan-0.3.6b support. *Many* thanks to
Chris Smith (bug #116284) for the patchset and the test

29 Jan 2006; Mike Frysinger samba-3.0.20a.ebuild,
samba-3.0.20b.ebuild:
Remove pointless fstab.h include to fix building on uClibc.

08 Nov 2005; Christian Andreetta
samba-3.0.14a-r2.ebuild, samba-3.0.14a-r3.ebuild, samba-3.0.20-r1.ebuild,
samba-3.0.20a.ebuild, samba-3.0.20b.ebuild:
'examples' IUSE flag (bug #111508)

29 Oct 2005; Diego Pettenò samba-3.0.20b.ebuild:
Disable pie support for *BSD systems as it's not supported. Fixes bug #110278.

19 Oct 2005; Christian Andreetta samba-3.0.20b.ebuild:
patchset PORTAGE_TMPDIR fix: version bump to force mirror deployment (bug
#109297)

*samba-3.0.20b (14 Oct 2005)

14 Oct 2005; Christian Andreetta +samba-3.0.20b.ebuild:
3.0.20b version bump (bug #109174), which fixes also swat: xinetd dependency
(bug #81387), smbmount not suid (bug #105680), sql backend and mysql schema
(bug #106457), ldapsam support (bug #108400)

*samba-3.0.20a (06 Oct 2005)

06 Oct 2005; Christian Andreetta +samba-3.0.20a.ebuild:
version bump. Fixes bugs #106846 (idmap_rid with winbind), #107606
('bad user' configuration parameter), #107614 (ldapsam support), #107939

03 Oct 2005; MATSUU Takuto samba-3.0.14a-r2.ebuild:
Stable on sh.

23 Sep 2005; Christian Andreetta
samba-3.0.14a-r2.ebuild, samba-3.0.14a-r3.ebuild, samba-3.0.20-r1.ebuild:
samba-old mirrors also: bug #106676

03 Sep 2005; Christian Andreetta -samba-3.0.20.ebuild,
samba-3.0.20-r1.ebuild:
smbmount patch typo fix (bug #104505)

*samba-3.0.20-r1 (02 Sep 2005)

02 Sep 2005; Christian Andreetta
+samba-3.0.20-r1.ebuild:
added umount.cifs support (bug #104504)

*samba-3.0.20 (01 Sep 2005)

01 Sep 2005; Christian Andreetta +files/README.gentoo,
+samba-3.0.20.ebuild:
version bump (bug #103164). Non-linux compatibility (bug #101675)

24 Aug 2005; Christian Andreetta
samba-3.0.14a-r2.ebuild, samba-3.0.14a-r3.ebuild:
'cp -pPR' instead of 'cp -a' required by Darwin and BSD (bug #103487)

13 Aug 2005; Christian Andreetta
+samba-3.0.14a-r3.ebuild:
'hide pecial files' option control fix (thanks to Tim Redman, bug #101770)

09 Aug 2005; Seemant Kulleen -files/lmhosts,
-files/nsswitch.conf-winbind, -files/nsswitch.conf-wins, -files/samba.pam,
-files/samba.schema, -files/samba-conf, -files/samba-init,
-files/smb.conf.example-samba3.gz, -files/smbusers, -files/swat.xinetd,
-files/system-auth-winbind, samba-3.0.14a-r2.ebuild:
config files are now moved into the tarball as well. All the patches and
configs are under version control under the gentoo/src/patchsets/samba
module

09 Aug 2005; Seemant Kulleen
-files/vscan-0.3.5-libclamav.patch, -files/samba-2.2.8-statfs.patch,
-files/samba-3.0.11-gcc4.patch, -files/samba-3.0.x-libdirsymlink.patch,
-files/samba-3.0.x-python-setup.patch,
-files/samba-3.0.x-smbumount-uid32.patch, -samba-3.0.10.ebuild:
clean out old outdated ebuild and its patches

09 Aug 2005; Aaron Walker samba-3.0.14a-r2.ebuild:
Stable on mips.

08 Aug 2005; Bryan Østergaard
samba-3.0.14a-r2.ebuild:
Stable on alpha + ia64.

08 Aug 2005; Seemant Kulleen samba-3.0.14a-r2.ebuild:
keywording thanks to vapier

05 Aug 2005; Seemant Kulleen samba-3.0.10.ebuild,
samba-3.0.14a-r2.ebuild:
removing the addpredic line -- the fault was with sandbox package itself,
which azarah has fixed earlier today.

05 Aug 2005; Seemant Kulleen
-samba-3.0.14a-r3.ebuild:
removing -r3 -- the clamav thing was a bad idea. See the aforementioned bug

*samba-3.0.14a-r3 (04 Aug 2005)

04 Aug 2005; Seemant Kulleen
+samba-3.0.14a-r3.ebuild:
Add dependency on clamav with the 'clamav' and/or 'libclamav' USE flags. The
libclamav flag will *go away* soon. Additionally, make sure that
/use/lib/samba/{auth,idmap,rpc} stay around. Fixed bug #100766 with the
clamav/libclamav thing

04 Aug 2005; Seemant Kulleen -samba-3.0.11.ebuild,
-samba-3.0.14a-r1.ebuild:
since I moved 14a-r2 to stable x86 finally, we can now remove some of the
cruft versions

03 Aug 2005; Seemant Kulleen samba-3.0.14a-r2.ebuild:
only install smb.conf (blank) if none is currently present in the live
filesystem

03 Aug 2005; Seemant Kulleen samba-3.0.14a-r2.ebuild:
do not install a blank smb.conf. Fixes bug #70686

01 Aug 2005; Joseph Jezak samba-3.0.14a-r2.ebuild:
Marked ppc stable for bug #95327.

28 Jul 2005; Guy Martin samba-3.0.14a-r2.ebuild:
Stable on hppa.

27 Jul 2005; Herbie Hopkins samba-3.0.14a-r2.ebuild:
Stable on amd64 wrt bug #95327.

27 Jul 2005; Christian Andreetta files/samba.pam:
pam library location fix in /etc/pam.d/samba

26 Jul 2005; Markus Rothe samba-3.0.14a-r2.ebuild:
Stable on ppc64 (bug #95327)

25 Jul 2005; Gustavo Zacarias
samba-3.0.14a-r2.ebuild:
Stable on sparc wrt #95327

*samba-3.0.14a-r2 (23 Jul 2005)

23 Jul 2005; Christian Andreetta
+samba-3.0.14a-r2.ebuild:
patcheset updated: little fix in python tdb bindings (removal of deprecated
functions wrappers) and in python testsuite (smbcontrol)

20 Jul 2005; Christian Andreetta samba-3.0.10.ebuild,
samba-3.0.11.ebuild, samba-3.0.14a-r1.ebuild:
Stale doc removal (if present): bug #99375 (thanks to carlo@gentoo.org)

20 Jun 2005; Christian Andreetta samba-3.0.10.ebuild,
samba-3.0.11.ebuild, samba-3.0.14a-r1.ebuild:
mit-krb5 sandbox perms (fake write) #bugs #95840 and #96453

10 Jun 2005; Christian Andreetta files/samba.pam:
reverting pam to old behaviour until pam-0.78 becomes stable

09 Jun 2005; Markus Rothe samba-3.0.14a-r1.ebuild:
Stable on ppc64

08 Jun 2005; Gustavo Zacarias
samba-3.0.14a-r1.ebuild:
Stable on sparc wrt #95327

19 May 2005; Christian Andreetta files/samba.pam:
pam 'include' directive, instead of Redhat's pam_stack for better standard
adeherence (*BSD requirement: Diego Pettenò )

29 Apr 2005; Seemant Kulleen samba-3.0.14a-r1.ebuild:
the smbspool symlink is now fixed, thanks again to: Chris Smith
in bug #90681

28 Apr 2005; Christian Andreetta -samba-3.0.13.ebuild:
removing due to acl bug (https://bugzilla.samba.org/show_bug.cgi?id=2521)

28 Apr 2005; Heinrich Wendel files/samba-init:
revert 'use cupsd' again, it was the wrong way around

28 Apr 2005; Christian Andreetta -samba-3.0.13.ebuild:
removing due to acl bug (https://bugzilla.samba.org/show_bug.cgi?id=2521)

28 Apr 2005; Christian Andreetta samba-3.0.10.ebuild:
exaples permissions issue fixed (bug #90002)

*samba-3.0.11 (28 Apr 2005)

28 Apr 2005; Christian Andreetta +samba-3.0.11.ebuild:
made 3.0.11 available again due to ACL bug in 3.0.1{2,3} versions (bug #89793)

28 Apr 2005; Seemant Kulleen :
Apparently, I missed the version bump request from: b52 in
bug #89664

28 Apr 2005; Seemant Kulleen samba-3.0.14a-r1.ebuild:
fix for the use acl configure option, thanks to: Chris Smith
in bug #90681

*samba-3.0.14a-r1 (27 Apr 2005)

27 Apr 2005; Seemant Kulleen
+samba-3.0.14a-r1.ebuild:
replace with -r1, which has improved patches, and a ChangeLog for the
patchset. No more /usr/bin/mount.cifs.old and stuff in this. A lot cleaner
now

27 Apr 2005; Christian Andreetta files/samba-init:
'use cupsd' removed due to bug #89956

26 Apr 2005; Seemant Kulleen samba-3.0.14a.ebuild:
typo

26 Apr 2005; Seemant Kulleen -samba-3.0.11.ebuild,
-samba-3.0.12.ebuild:
remove some of the more intermediate versions

*samba-3.0.14a (26 Apr 2005)

26 Apr 2005; Seemant Kulleen
files/samba-2.2.8-statfs.patch, +samba-3.0.14a.ebuild:
version bump to 3.0.14a, but this time, with an appropriate patch tarball,
which gives a much cleaner ebuild. I'll be updating the remaining samba
ebuilds to use this method as well over the next week or so

13 Apr 2005; Seemant Kulleen
-files/samba-3.0.6-samba.schema, -files/config-svc-smbd+nmbd,
-files/nonroot-bind.diff, -files/samba-slapd-include.conf,
-files/samba-svc, -files/smb.conf.example, -files/smbldap_conf.pm:
even more cruft removal -- unused files in filesdir

13 Apr 2005; Seemant Kulleen
-files/samba-2.2.5-gp-reloc-fix.patch, -files/samba-2.2.6-libresolv.patch,
-files/samba-2.2.8-statfs.patch, -files/samba-3.0.0-python-setup.patch,
-files/samba-3.0.2a-smbprint.patch,
-files/samba-3.0.6-homes-reuse_v2.patch,
-files/samba-3.0.6-libdirsymlink.patch,
-files/samba-3.0.6-winbind_getpwnam_v1.patch,
-files/samba-3.0.8-lanman.patch,
-files/samba-3.0.9-util.c-bitpmap.c-4120.patch, -files/samba-3.0.x.patch,
-files/samba-pdb_ldap-exop.patch:
more cruft removal -- this time unused patches

13 Apr 2005; Seemant Kulleen -samba-3.0.6-r3.ebuild,
-samba-3.0.6-r4.ebuild, -samba-3.0.7.ebuild, -samba-3.0.7-r1.ebuild,
-samba-3.0.8.ebuild, -samba-3.0.8-r1.ebuild, -samba-3.0.9.ebuild,
-samba-3.0.9-r1.ebuild:
clean up cruft

04 Apr 2005; Christian Andreetta samba-3.0.12.ebuild:
warning on acl and win 9x/Me as per bug #87583

*samba-3.0.13 (25 Mar 2005)

25 Mar 2005; Christian Andreetta +samba-3.0.13.ebuild:
version bump

24 Mar 2005; Christian Andreetta files/samba-init:
slapd init scripts precedence: bug #86464

*samba-3.0.12 (19 Mar 2005)

19 Mar 2005; Christian Andreetta +samba-3.0.12.ebuild:
version bump. Split from smbldap-tools, which is now a separate ebuild

14 Mar 2005; Mark Loeser
+files/samba-3.0.11-gcc4.patch, samba-3.0.11.ebuild:
GCC 4 compile fix. bug #85172

12 Mar 2005; Christian Andreetta samba-3.0.11.ebuild:
minor fixes: dirs creations via keepdir, examples permissions (bug #83563)

03 Mar 2005; samba-3.0.10.ebuild:
smbldap-tools have new download location, see Bug 83203. Thanks to Ricardo
Nuno

06 Feb 2005; Jeremy Huddleston
samba-3.0.11.ebuild:
Multilib fixes.

06 Feb 2005; Joshua Kinard samba-3.0.10.ebuild:
Marked stable on mips.

*samba-3.0.11 (05 Feb 2005)

05 Feb 2005; Christian Andreetta samba-3.0.10.ebuild,
+samba-3.0.11.ebuild:
version bump (bug #80807) and old conf file preservation fix (bug #80293)

25 Jan 2005; Guy Martin samba-3.0.10.ebuild:
Stable on hppa.

22 Jan 2005; Bryan Østergaard samba-3.0.10.ebuild:
Stable on alpha.

19 Jan 2005; Olivier Crête samba-3.0.10.ebuild:
Stable on x86 wrt bug #77734

14 Jan 2005; Jan Brinkmann samba-3.0.10.ebuild:
stable on amd64; bug #77734

14 Jan 2005; Gustavo Zacarias samba-3.0.10.ebuild:
Stable on sparc wrt #77734

14 Jan 2005; Michael Hanselmann samba-3.0.10.ebuild:
Stable on ppc.

14 Jan 2005; Markus Rothe samba-3.0.10.ebuild:
Stable on ppc64; bug #77734

09 Jan 2005; Sven Wegener samba-3.0.10.ebuild,
samba-3.0.6-r3.ebuild, samba-3.0.6-r4.ebuild, samba-3.0.7-r1.ebuild,
samba-3.0.7.ebuild, samba-3.0.8-r1.ebuild, samba-3.0.8.ebuild,
samba-3.0.9-r1.ebuild, samba-3.0.9.ebuild:
Added missing parentheses in SRC_URI/*DEPEND/LICENSE.

29 Dec 2004; Hardave Riar samba-3.0.9-r1.ebuild:
Stable on mips, bug #73943

29 Dec 2004; Ciaran McCreesh :
Change encoding to UTF-8 for GLEP 31 compliance

21 Dec 2004; Guy Martin samba-3.0.9-r1.ebuild:
Stable on hppa (#73943).

*samba-3.0.10 (17 Dec 2004)

17 Dec 2004; Christian Andreetta +samba-3.0.10.ebuild:
version bump

*samba-3.0.9-r1 (17 Dec 2004)

17 Dec 2004; Christian Andreetta
+files/samba-3.0.9-util.c-bitpmap.c-4120.patch, +samba-3.0.9-r1.ebuild:
bug #73943: CAN-2004-1154: Integer overflow for samba 2.x, 3.x<=3.0.9

29 Nov 2004; Christian Andreetta samba-3.0.9.ebuild:
more masked archs added

23 Nov 2004; Christian Andreetta samba-3.0.8-r1.ebuild,
samba-3.0.9.ebuild:
old private config saved in pkg_setup (no more post_install: bug #72235)

21 Nov 2004; Jason Wever samba-3.0.9.ebuild:
Added ~sparc keyword as it was not carried over in the version bump.

*samba-3.0.9 (20 Nov 2004)

20 Nov 2004; Christian Andreetta samba-3.0.8-r1.ebuild,
+samba-3.0.9.ebuild:
version bump: smbldap-0.8.5-3 (bug #71728) and samba-3.0.9

18 Nov 2004; Christian Andreetta samba-3.0.8-r1.ebuild,
samba-3.0.8.ebuild:
bug #71334: automatically copy of old privatedir to new location

*samba-3.0.8-r1 (15 Nov 2004)

15 Nov 2004; Christian Andreetta +samba-3.0.8-r1.ebuild:
bug #71223: win9x/Me lanman printing. bug #70628: 3.0.8 docs upstream
permission error

13 Nov 2004; Christian Andreetta
files/samba-3.0.x-python-setup.patch:
samba-3.0.x-python-setup.patch update (bug #69034)

10 Nov 2004; Olivier Crete samba-3.0.8.ebuild:
Stable on x86 see 70429

10 Nov 2004; Joshua Kinard samba-3.0.8.ebuild:
Marked stable on mips.

10 Nov 2004; Bryan Østergaard samba-3.0.8.ebuild:
Stable on alpha, bug 70429.

09 Nov 2004; Gustavo Zacarias samba-3.0.8.ebuild:
Stable on sparc wrt #70429

09 Nov 2004; Simon Stelling samba-3.0.8.ebuild:
stable on amd64. bug #69985

09 Nov 2004; Markus Rothe samba-3.0.8.ebuild:
Stable on ppc64; bug #70429

09 Nov 2004; samba-3.0.8.ebuild:
stable on ppc gsla: 70429

*samba-3.0.8 (09 Nov 2004)

09 Nov 2004; Christian Andreetta +samba-3.0.8.ebuild:
security: (CAN-2004-0930) (bug #70429). New IUSE flags: quotas, winbind,
libclamav (bugs #67857, #64602)

07 Nov 2004; Joshua Kinard samba-3.0.7-r1.ebuild:
Marked stable on mips.

29 Oct 2004; samba-3.0.6-r3.ebuild,
samba-3.0.6-r4.ebuild, samba-3.0.7-r1.ebuild:
fixed some small typos, thanks to bin-doph

21 Oct 2004; Christian Andreetta -files/recycle.conf,
-files/smb.conf.example-samba3, files/smb.conf.example-samba3.gz,
-files/winbind-init, samba-3.0.6-r3.ebuild, samba-3.0.6-r4.ebuild,
samba-3.0.7-r1.ebuild, samba-3.0.7.ebuild:
Some old files cleanup. recycle.conf removed (bug #68315). winbind {r,g}id ->
idmap {r,g}id in example smb.conf (bug #68318).

10 Oct 2004; Jason Wever samba-3.0.7-r1.ebuild:
Stable on sparc.

08 Oct 2004; Guy Martin samba-3.0.7-r1.ebuild:
Marked stable on hppa.

08 Oct 2004; Christian Andreetta samba-3.0.7-r1.ebuild:
stable on x86 and amd64. Note on sendfile(2) (bug #66656). ADS and krb5 on
amd64 also (bug #64815)

01 Oct 2004; Stephen P. Becker samba-3.0.7.ebuild:
stable on mips to satisfy repoman deps - stop breaking our stable tree

27 Sep 2004; Christian Andreetta samba-3.0.5-r1.ebuild,
samba-3.0.6-r3.ebuild, samba-3.0.6-r4.ebuild, samba-3.0.7-r1.ebuild,
samba-3.0.7.ebuild:
gentoo mirrors updated: removing nomirror directive (see 16 Sep 2004)

24 Sep 2004; samba-3.0.7-r1.ebuild:
removed the O1 section for ppc and pcc64 as not neccesary anymore

*samba-3.0.7-r1 (17 Sep 2004)

17 Sep 2004; Christian Andreetta +samba-3.0.7-r1.ebuild:
libs preload on suid binaries only (bug #63884)

16 Sep 2004; Christian Andreetta samba-3.0.5-r1.ebuild,
samba-3.0.6-r3.ebuild, samba-3.0.6-r4.ebuild, samba-3.0.7.ebuild:
smbldap-0.8.5 changed retaining uri and version number. Forcing fetch from
distributor.

14 Sep 2004; Christian Andreetta
+files/samba-3.0.x-libdirsymlink.patch, -samba-3.0.1-r1.ebuild,
-samba-3.0.2a-r2.ebuild, -samba-3.0.4-r1.ebuild, -samba-3.0.6-r1.ebuild,
-samba-3.0.6-r2.ebuild, -samba-3.0.6.ebuild, samba-3.0.7.ebuild:
some old files cleanup

*samba-3.0.7 (13 Sep 2004)

13 Sep 2004; Mike Frysinger +samba-3.0.7.ebuild:
Version bump for security!

10 Sep 2004; Christian Andreetta samba-3.0.6-r4.ebuild:
fixed amd64 patch typo (bug #63542)

09 Sep 2004; Danny van Dyk samba-3.0.6-r4.ebuild:
Marked ~amd64 now. GLSA has been taken back.

09 Sep 2004; Gustavo Zacarias samba-3.0.6-r4.ebuild:
Stable on sparc

09 Sep 2004; Bryan Østergaard samba-3.0.6-r4.ebuild:
Stable on alpha, bug 62476.

08 Sep 2004; Danny van Dyk samba-3.0.6-r4.ebuild:
Added -L/usr/$(get_libdir) to come around a ./configure bug on amd64. Marked
stable on amd64 (see BUG #62476).

*samba-3.0.6-r4 (06 Sep 2004)

06 Sep 2004; Christian Andreetta
+files/smb.conf.example-samba3.gz, +samba-3.0.6-r4.ebuild:
selinux (#62907) and linker issue (#62674)

01 Sep 2004; Gustavo Zacarias samba-3.0.6-r3.ebuild:
Stable on sparc wrt #62476

*samba-3.0.6-r3 (01 Sep 2004)

01 Sep 2004; Christian Andreetta
+files/samba-3.0.6-homes-reuse_v2.patch, +files/samba-3.0.6-samba.schema,
+files/samba-3.0.6-winbind_getpwnam_v1.patch, files/smb.conf.example-samba3,
+samba-3.0.6-r3.ebuild:
adding latest Jerry Carter patches (bug #62476)

*samba-3.0.6-r2 (26 Aug 2004)

26 Aug 2004; samba-3.0.6-r2.ebuild,
files/samba.schema:
Fix for bug #61055. (ldap schema in examples had wrong id)
Thanks to Torsten Kurbad for the updates schema file.

21 Aug 2004; Jeremy Huddleston
samba-3.0.5-r1.ebuild, samba-3.0.6-r1.ebuild, samba-3.0.6.ebuild:
Fix bad bash... needed a space before ]

*samba-3.0.6-r1 (21 Aug 2004)

21 Aug 2004; samba-3.0.6-r1.ebuild:
Fix for bug #61046. Thanks to Jeff Kowalczyk for
pointing it out

*samba-3.0.6 (20 Aug 2004)

20 Aug 2004; samba-3.0.6.ebuild:
new upstream version, fixes memory leaks, winbindd and some cifs problems

30 Jul 2004; Christian Andreetta samba-3.0.5-r1.ebuild:
empty dirs disappearance fixed (bug #53976)

28 Jul 2004; Joshua Kinard samba-3.0.5-r1.ebuild,
samba-3.0.5.ebuild:
Marked stable on mips.

24 Jul 2004; Christian Andreetta samba-3.0.5-r1.ebuild:
cosmetical minor changes in ebuild internal checks

*samba-3.0.5-r1 (23 Jul 2004)

23 Jul 2004; Christian Andreetta metadata.xml,
+files/samba-3.0.x-python-setup.patch,
+files/samba-3.0.x-smbumount-uid32.patch, +files/samba-3.0.x.patch,
+samba-3.0.5-r1.ebuild, samba-3.0.5.ebuild:
Various contributors (see comments in ebuild): development traced in bug #58090

*samba-3.0.5 (22 Jul 2004)

22 Jul 2004; Michael Glauche samba-3.0.5.ebuild:
Version bump, fixes 2 buffer overruns.

14 Jul 2004; Bryan Østergaard samba-3.0.4-r1.ebuild:
Stable on alpha.

01 Jul 2004; Tom Gall samba-3.0.4-r1.ebuild:
stable on ppc64, bug #54804

30 Jun 2004; Guy Martin samba-3.0.4-r1.ebuild:
Marked stable on hppa.

28 Jun 2004; Gustavo Zacarias samba-3.0.4-r1.ebuild:
Stable on sparc

26 Jun 2004; Marius Mauch samba-3.0.4-r1.ebuild:
QA fix: moving manpages to /usr/share/man, removing unneccessary gzip
call.

21 Jun 2004; Christian Andreetta samba-3.0.4-r1.ebuild:
stable on x86

18 Jun 2004; Christian Andreetta samba-3.0.2a-r2.ebuild,
samba-3.0.4-r1.ebuild:
closing bug #53236 (Jaco Kroon), #53082: smbget and mount.cifs

15 Jun 2004; Christian Andreetta samba-3.0.2a-r2.ebuild:
minor initscript fix (as per bug #53962), oav support fix (#52009, Alessandro
Pisani)

14 Jun 2004; Aron Griffis samba-3.0.4-r1.ebuild:
Fix use invocation

12 Jun 2004; Christian Andreetta metadata.xml,
files/samba-init:
minor init script, as per bug #53676

*samba-3.0.4-r1 (11 Jun 2004)

11 Jun 2004; Christian Andreetta samba-3.0.4-r1.ebuild,
files/samba-3.0.4-python-setup.patch, files/samba-3.0.4.patch,
files/samba-init files/samba-conf:
version bump. new initscripts. _very_ nice group work for bug #48871,
which resolves 30151, 31208, 36465, 38190, 41796, 42557, 49463 also.

12 May 2004; Michael McCabe samba-3.0.2a-r2.ebuild:
Added s390 keywords

10 May 2004; Michael Sterrett samba-2.2.8a.ebuild,
samba-3.0.0-r1.ebuild, samba-3.0.1.ebuild, samba-3.0.2a-r1.ebuild:
prune old ebuilds

04 May 2004; Michael Sterrett samba-3.0.2a.ebuild:
clean extra ebuild

29 Apr 2004; Lars Weiler samba-3.0.2a-r2.ebuild:
stable on ppc

27 Apr 2004; Joshua Kinard samba-3.0.2a-r2.ebuild:
Marked stable on mips.

27 Apr 2004; Travis Tilley samba-3.0.2a-r2.ebuild:
stable on amd64

27 Apr 2004; Guy Martin samba-3.0.2a-r2.ebuild:
Marked stable on hppa.

27 Apr 2004; Brandon Hale samba-3.0.2a-r2.ebuild:
Stable on x86.

27 Apr 2004; Jason Wever samba-3.0.2a-r2.ebuild:
Stable on sparc wrt bug #41800.

27 Apr 2004; Bryan Østergaard samba-3.0.2a-r2.ebuild:
Keyworded alpha, see bug #41800.

*samba-3.0.2a-r2 (26 Apr 2004)

26 Apr 2004; samba-3.0.2a-r2.ebuild, samba-3.0.2a.ebuild:
net-fs/samba 3.x + kernel 2.6.x local root vulnerability - bug #41800

22 Apr 2004; Jason Wever samba-3.0.2a-r1.ebuild:
Fixed ebuild to ensure we're in the right place before applying the smbprint
patch. Only should have effected PPC and SPARC.

*samba-3.0.2a-r1 (21 Apr 2004)

21 Apr 2004; Deedra Waters,,, samba-3.0.2a-r1.ebuild,
files/samba-3.0.2a-smbprint.patch:
committing samba-3.0.2a-r1.ebuildsamba-3.0.2a-r1.ebuild.
This ebuild will fix a local root exploitsee #41800 for more info.
Thanks to mglauche and condordes for theese fixes.

15 Apr 2004; Joshua Kinard samba-3.0.2a.ebuild:
mips needs the statfs patch too, it seems.

23 Mar 2004; Jon Portnoy samba-3.0.0-r1.ebuild,
samba-3.0.1-r1.ebuild, samba-3.0.1.ebuild, samba-3.0.2a.ebuild :
Fix broken USE constructs with 'amd64? () :'

23 Mar 2004; Joshua Kinard samba-2.2.8a.ebuild,
samba-3.0.2a.ebuild:
Marked stable on mips.

14 Mar 2004; Tom Gall samba-3.0.0-r1.ebuild,
samba-3.0.1-r1.ebuild, samba-3.0.1.ebuild, samba-3.0.2a.ebuild:
remove ppc64 for now

*samba-3.0.2a (15 Feb 2004)

15 Feb 2004; Donny Davies samba-3.0.2a.ebuild,
files/smb.conf.example-samba3:
#30019; USE=kerberos isn't enough to build ADS, #36296; code page typos
in sample config file, #36454; quotas.h build headaches, #36782; USE=xml
DEPENDS missing. Update to smbldap tools 0.8.4.

17 Jan 2004; Bartosch Pixa :
manifest fix

16 Jan 2004; Bartosch Pixa samba-3.0.1-r1.ebuild:
set ppc in keywords

16 Jan 2004; Bartosch Pixa samba-3.0.1-r1.ebuild:
ppc needs the statfs patch too

07 Jan 2004; samba-3.0.1-r1.ebuild:
add ~alpha and ia64 to keywords

*samba-3.0.1-r1 (24 Dec 2003)

24 Dec 2003; Donny Davies samba-3.0.1-r1.ebuild:
Include patch from Michal in bug #36200; hardwire
#define LINUX_QUOTAS_1 to help with sys-kernel/linux-headers dependency.

23 Dec 2003; Brad House samba-3.0.1.ebuild:
samba 3.0.1 won't compile with the latest ~arch'd linux-headers for any
platform. It requires headers > 2.4.21 apparently. When it's fixed, it can be
unmasked again, though there are supposedly problems with other apps.

*samba-3.0.1 (20 Dec 2003)

20 Dec 2003; Donny Davies samba-3.0.1.ebuild:
Version bump and add mount.cifs as from Antonio in #30834.

17 Dec 2003; Lars Weiler samba-3.0.0-r1.ebuild:
Stable on PPC

09 Dec 2003; samba-3.0.0-r1.ebuild, samba-3.0.0.ebuild,
files/smb.conf.example-samba3:
Fixing chown issues.

02 Nov 2003; Donny Davies metadata.xml:
Add metadata.xml.

17 Oct 2003; Joshua Kinard samba-2.2.8a.ebuild,
samba-3.0.0-r1.ebuild:
Added ~mips to KEYWORDS; Works for me well on mips, but still need wider use

*samba-3.0.0-r1 (25 Sep 2003)

25 Sep 2003; Donny Davies samba-3.0.0-r1.ebuild,
files/smb.conf.example-samba3, files/winbind-init:
This is what should have been samba-3.0.0.ebuild; was out of my control,
sigh. Added three more VFS modules: cap, default_quota, readonly. Added
the IDEALX scripts for managing LDAP backend user accounts, also the
mkntpwd utility. Added the clamav vscan plugin. Added a decent
smb.conf.example file, which documents important Samba-3 options.
Tidied up the winbind rc-script. Some documentation fixes.
Various miscellaneous ebuild housekeeping.

26 Sep 2003; Martin Holzer samba-3.0.0.ebuild:
minor ebuild fixes.

*samba-3.0.0 (25 Sep 2003)

25 Sep 2003; Patrick Kursawe samba-3.0.0.ebuild:
Version bump

*samba-3.0.0_rc4 (15 Sep 2003)

15 Sep 2003; Donny Davies samba-3.0.0_rc4.ebuild:
Update to latest _rc.

*samba-3.0.0_rc3 (10 Sep 2003)

10 Sep 2003; Donny Davies samba-3.0.0_rc3.ebuild:
Bump to latest _rc plus latest samba-vscan. All USE options should
build ok again. This code is going gold soon, we just need to tidy
up the sample smb.conf.

04 Sep 2003; Jason Wever samba-3.0.0_rc2.ebuild:
Added previous patch from samba-2.2.8a to samba-3.0.0_rc2 to finish fixing bug
#27858.

03 Sep 2003; Jason Wever samba-2.2.8a.ebuild,
files/samba-2.2.8-statfs.patch:
Added a patch to samba to fix bug #27858. Patch originated from IBM at
http://oss.software.ibm.com/linux/patches/?patch_id=764.

*samba-3.0.0_rc2 (29 Aug 2003)

29 Aug 2003; Donny Davies samba-3.0.0_rc2.ebuild:
This is the plain samba-3.0.0rc2 release with a patch for the Python
extensions build.

*samba-3.0.0_rc1-r1 (21 Aug 2003)

21 Aug 2003; Donny Davies samba-3.0.0_rc1-r1.ebuild,
files/samba-3.0.0-python-setup.patch:
SAMBA_3_0 CVS snapshot from 20030821 plus the latest samba-vscan CVS
snapshot 0.3.4beta2cvs. USE flags python and oav appear to be
casualties of recent changes; patches welcome. The "Using Samba"
book moved to it's own CVS module, it's not in here anymore.

*samba-3.0.0_beta3-r1 (20 Jul 2003)

20 Jul 2003; Donny Davies samba-3.0.0_beta1-r1.ebuild,
samba-3.0.0_beta3-r1.ebuild:
SAMBA_3_0 CVS snapshot from 20030720; basically the beta3 release with
added bug fixes. Latest samba-vscan CVS snapshot HEAD-07-09-2003 is
included. All USE flags should build ok. See WHATSNEW.txt again for
important changes to idmap and winbindd.

*samba-3.0.0_beta2-r1 (06 Jul 2003)

06 Jul 2003; Donny Davies samba-3.0.0_beta2-r1.ebuild:
SAMBA_3_0 CVS snapshot from 20030706; an slightly updated beta2 release.
The latest samba-vscan CVS snapshot in included, I had trouble accessing
their CVS. All USE flags build OK here. See WHATSNEW.txt for
information on IdMap LDAP support and Trust Relationships.

*samba-3.0.0_beta1-r1 (17 Jun 2003)

17 Jun 2003; Donny Davies samba-3.0.0_beta1-r1.ebuild:
This is another SAMBA_3_0 CVS snapshot as pulled on 20030616, so it's newer
than the actual beta1 release. USE flags `oav' and `python' are broken
right now, and nisplussam still doesnt build yet (commented out).

*samba-3.0_alpha24-r1 (28 May 2003)

28 May 2003; Donny Davies Manifest,
samba-3.0_alpha24-r1.ebuild, files/samba-pdb_ldap-exop.patch:
This is basically SAMBA_3_0 as pulled from CVS on 20030528 with a small
patch to fix `ldap passwd sync' against an OpenLDAP-2.1.x server.
`oav' USE flag DOESNT work right now, neither does the nisplussam passdb.

*samba-3.0_alpha23 (11 Apr 2003)

11 Apr 2003; Donny Davies samba-3.0_alpha23.ebuild:
Chase latest; nuke `torture' target; seems broken at the moment :\

*samba-2.2.8a (07 Apr 2003)

07 Apr 2003; Daniel Ahlberg samba-2.2.8a.ebuild :
Security update.

28 Mar 2003; Donny Davies :
Clean out all old stuff.

*samba-2.2.8 (15 Mar 2003)

07 Apr 2003; Guy Martin samba-2.2.8.ebuild :
Added hppa to KEYWORDS.

15 Mar 2003; Daniel Ahlberg :
Security update.

*samba-3.0_alpha22 (11 Mar 2003)

11 Mar 2003; Donny Davies : Version bump. Add
dynrpc modules. Fix readline configure. Python stuff still has issues.

*samba-2.2.8_pre2 (01 Mar 2003)

01 Mar 2003; Donny Davies : About another 30 bugs
fixed in this _pre update. Quell smbwrapper/smbsh.

*samba-3.0_alpha21 (22 Feb 2003)

22 Feb 2003; Donny Davies : Initial import.
Added to package.mask for now.

*samba-2.2.8_pre1 (22 Feb 2003)

22 Feb 2003; Donny Davies : This _pre update fixes
about 30 bugs; see WHATSNEW.txt. Updated to samba-vscan-0.3.2. Install
libsmbclient.h #15357. Added --with-winbind-auth-challenge #15748. Add
--with-winbind-ldap-hack if USE=ldap. Re-org some stuff.

27 Jan 2003; Donny Davies : #14644 adds reload().

*samba-2.2.7a (16 Dec 2002)

16 Dec 2002; Donny Davies : Update to latest,
fixes large file copying bug, among others. Changed the 'vscan'
USE flag to 'oav'. Added description for that to use.desc.

*samba-2.2.7 (20 Nov 2002)

15 Dec 2002; Bjoern Brauel samba-2.2.7.ebuild :
Add alpha to KEYWORDS

07 Dec 2002; Jack Morgan samba-2.2.5-r1.ebuild,
samba-2.2.6-r2.ebuild, samba-2.2.7.ebuild :
Changed sparc64 to sparc keyword samba-2.2.5-r1.ebuild
Changed ~sparc64 to ~sparc keyword samba-2.2.6-r2.ebuild, samba-2.2.7.ebuild

20 Nov 2002; Donny Davies : Chase latest. This release
fixes a security problem. --with-lockdir is changed to /var/cache/samba;
thanks Achim for #10819. Marked as latest stable. Fix problem with USE=ldap
and export VISUAL.

*samba-2.2.6-r2 (07 Nov 2002)

07 Nov 2002; Donny Davies : Added patch to fix fd leak.
Made pam support optional. Added --with-sendfile-support. Fixup digest (vscan).
Fix for #9249.

*samba-2.2.6-r1 (26 Oct 2002)

26 Oct 2002; Jon Nall : samba expects ldap to depend on sasl
in order for libresolv.so to get linked in, but ldap need not be compiled with
sasl support. in this case samba needs to link in libresolv.so

*samba-2.2.6 (24 Oct 2002)

26 Oct 2002; Donny Davies : Fix openldap dependency :)

25 Oct 2002; Donny Davies : Fix openldap dependency from #9249.

24 Oct 2002; Donny Davies : Chase latest release. New local USE
vscan flag for building the openantivirus project plugins. Added several more ldap files
and scripts. Now builds the bundled VFS plugins. Added more docs and findsmb script.
Added lazy smbumount and VFS plugins reloc patches.

*samba-2.2.5-r1 (Aug 27 2002)

20 Oct 2002; Michael Cohen samba-2.2.5-r1.ebuild:
added portldap use flag for my nifty ldap stuff coming up. no need
to bump version.

27 Aug 2002; Donny Davies samba-2.2.5-r1.ebuid,
smb.conf.example : Fix #6936; thanks shadow@ines.ro. Fix #7133, thanks
klebermass@limtec.de.

*samba-2.2.5 (23 Jun 2002)

25 Aug 2002; Jack Morgan : Added sparc64 keyword

14 Aug 2002; Pieter Van den Abeele : Added ppc keyword

23 Jun 2002; Donny Davies :
Update to latest; samba-2.2.5. Please see the samba WHATSNEW.txt file
in /usr/doc/samba for the detailed fixes.

*samba-2.2.4-r1 (13 May 2002)

13 May 2002; Donny Davies : Install smbmnt and smbumount
suid root, close #2635. Pass --bindir to ./configure, close #2515. Add a few
more codepages.

*samba-2.2.4 (6 May 2002)

6 May 2002; Donny Davies samba-2.2.4.ebuild,
smb.conf.example, system-auth-winbind, samba-svc, winbind-init, lmhosts,
samba-init, nsswitch.conf-winbind, nsswitch.conf-wins :
Added a much better smb.conf.example. Added smbwrapper (smbsh). Added
libnss_winbind (see /etc/nsswitch.conf-winbind). Added libnss_wins
(see /etc/nsswitch.conf-wins). Added libsmbclient. Added USE ssl and
ldap support. Added better winbind support including an example
nsswitch.conf, a pam.d/ service snippet and a winbind initscript. Also
see smb.conf.example. Mucho cleaned up the docs (no more 2 copies of
the book!). Removed the recycle bin patches. Removed the afs patch.
Added a few convenience directories for netlogon, profiles, samba-hosted
printer drivers and the samba spool directory.

*samba-2.2.3a-r3 (3 May 2002)

3 May 2002; Donny Davies : Added LICENSE, SLOT, $Headers.

*samba-2.2.3a-r2 (27 March 2002)

27 March 2002; Donny Davies samba-2.2.3a-r2.ebuild,
swat.xinetd, smbusers, samba.rc6, samba-2.2.3a-srv_spoolss_nt.patch :
/etc/smb has moved to the better-suited /etc/samba directory. Simply move
your /etc/smb/* to /etc/samba. Then delete the /etc/samba/codepages
directory. These files are now in /var/lib/samba/codepages. /var/run/smb
has moved to /var/run/samba. Simply move your /var/run/smb/* to
/var/run/samba. If you have the string "/etc/smb" in your smb.conf file,
then please change all occurances of that to "/etc/samba". Added a
sample smbusers file. Added an xinetd snippet for the swat service.
Added a patch to fix changing printer properties from Windows NT.

10 March 2002; Donny Davies files/samba.rc6 :
Tweak initscript to kill the daemons via pidfile.

*samba-2.2.3a-r1 (5 March 2002)

5 March 2002; M.Schlemmer samba-2.2.3a-r1.ebuild,
samba-2.2.3a-loadparm.c.patch, samba-2.2.3a-proto.c.patch,
samba-2.2.3a-reply.h.patch :
Move the patches to ${FILESDIR}, as they have the same names as those for
2.2.2, but is not the same, thus ibiblio do not cache the new ones, and
we get digest errors.

*samba-2.2.3a (4 March 2002)

4 March 2002; Donny Davies samba-2.2.3a.ebuild,
files/samba-2.2.3a-cli_spoolss_notify.diff, files/samba-2.2.3a-pam_smbpass.diff,
files/samba-2.2.2-XFS-quota.diff :
Added acl USE flag support, patch to fix pam_smbpass compilation, patch for Win2k
printing and removed XFS quota patch -- its merged upstream. Updated to latest
network recycle bin patches. If you get md5 checksum errors with the recycle bin
patches then: delete the 3 patches from your local distfiles, and comment out
your GENTOO_MIRRORS from make.conf/make.globals. This will ensure that the
proper patches are fetched from the author's site.

*samba-2.2.2-r9 (2 March 2002)

2 March 2002; M.Schlemmer samba-2.2.2-r9.ebuild :
Added creation of symlink for supporting cups printing.

*samba-2.2.2-r8 (1 Feb 2002)

1 Feb 2002; G.Bevin ChangeLog :
Added initial ChangeLog which should be updated whenever the package is
updated in any way. This changelog is targetted to users. This means that the
comments should well explained and written in clean English. The details about
writing correct changelogs are explained in the skel.ChangeLog file which you
can find in the root directory of the portage repository.

Manifest

AUX 3.0.26a-invalid-free-fix.patch 541 RMD160 13e1b0420ae9c06a2e6d4f9a8a0a3af8c32318b9 SHA1 0457c901f55b86b9b3751dc67b86a26cb19ec4e7 SHA256 4a727b9a02cbc7e2efc00190d5068c82e12a0b9fdad2a50869a2f10bc39a06f2
AUX 3.0.26a-lazyldflags.patch 1466 RMD160 12a3d97c8b84af5dea7c70173e4613bc663d4e8d SHA1 35742557c810ae4bfbbfecc3a6c3549c392fd313 SHA256 07eb35a567540bc88657f75881c8daf10de3697b64ec9bd7167f1df80cfb0d55
AUX 3.0.28-autoconf-2.62-fix.patch 524 RMD160 843a8adb134376259485fba22deceeebf453abea SHA1 2adfe8d3a5ea32971c67305fc047f39e5c03ba76 SHA256 0b9b80b52899154f6526d4864218742c2ec836d44a8a4045e091b3bb40449171
AUX 3.0.28-fix_broken_readdir_detection.patch 430 RMD160 f881e5a61ee2de714b9409a5a4f4c87d7a9a6dc0 SHA1 092b1ed0abce1eaf90aece7f637e72c3d4a902ff SHA256 7756d512df664d6f55851566d050797a6fc33f13ded4b1df5e2484a578ffd3f4
AUX 3.0.28-inotify_include.patch 1675 RMD160 056cde16ad2b1e2e84a184b8c07002bd25a832b2 SHA1 ab989d0d4f102ed574f34af9292f5109368e749b SHA256 bcc4e5f4853d40ad66246c540ff3a7f2299185e5729aaaffa06230de9fbc3c14
AUX 3.0.28-libcap_detection.patch 1676 RMD160 72cb751432db3911aedb32cf21a822bf9fceb278 SHA1 0348cc988150169b42a420a52fbf418aaf90e9e6 SHA256 73540a245115288f43dfd6abe6983a015886c93a14d906f38d59732e390cd070
AUX 3.0.28a-CVE-2008-1105.patch 5774 RMD160 09a38e2a0e72e25f575789a3ded62fe00217dbc9 SHA1 9f7491b6ae88941881243445e35087b9bc811b5b SHA256 fba679976538265312d2545944e78b20442774d3ff54509d015a11867c15c0ff
AUX 3.0.28a-wrong_python_ldflags.patch 996 RMD160 9514ef1b21129a950388ccabf797243dc92b390c SHA1 432366d841bbd2ec97c7a529c0c48d352aace356 SHA256 6f75e2e797d4a7a9f8758c5b3066cc1af86d392457d6f9ae8804427d74be4696
AUX README.gentoo 3208 RMD160 858aee78e07bdc0ebee7bc6c2212d4c528325633 SHA1 819ae809566e967cdc03024adae4443c5833dfc5 SHA256 9e87efa3fcea73becdfad4adb0fe677e1969c2951f03c47d1b0f4aeb00999578
AUX config-3.2/lmhosts 134 RMD160 7c99b13a2f273ee190c7df9392b1678b00ec461a SHA1 d63d8d846c3cecfc706d28d916ea323f2eae4ef1 SHA256 b891ca7448db3fadefd9f5ddaeb28ea19bad63c3ee21ea8f74cdc2dfecd6ab6b
AUX config-3.2/nsswitch.conf-winbind 414 RMD160 71491dd98acc39aea8f18f5cc382f6a56d80259f SHA1 fa5c1e24437d4ffc0150a2b202f5ba6df5d40463 SHA256 5466dc681036731046f53e4ef59fb7c2110783e77a38d0887432d94776c3dafa
AUX config-3.2/nsswitch.conf-wins 400 RMD160 1e005e46b161edf12a9118018eb2676e3531dd7f SHA1 ccd9903e26ada045428f1ec16678c29e21c35ef3 SHA256 e028691f7144932404ec154fdb72defb4f127e1f6c330c8864ede2f369a0d05d
AUX config-3.2/samba.pam 397 RMD160 8f64b09e17e0c458a8156db3cc92a0413513e4fc SHA1 f39d48e07be8069885b51253c5b891a856b7b41e SHA256 86634f2d541370518d0958a73c04776ed5df2a3716ef128ff384459acce9cd38
AUX config-3.2/samba.schema 16044 RMD160 b28408c64524ea44a9b0ea877d614603456a18fa SHA1 523d8bcf6313fe8ce03a3fbe762ba90b88ca5643 SHA256 c011a2f2f4fcc2839e3609cf5477507d938083f48f15a05787337b352f3afec3
AUX config-3.2/smb.conf.example-samba3 19701 RMD160 1ce92cbedb15cf5ee4d66ee50fd7c996231facea SHA1 5c60002f23ac2a60fc27b58ea03659acb0db876a SHA256 83fd9407e71db606bb50677f9d8a557688b6eafacb32d30c7a0a6d1c666b694d
AUX config-3.2/smbusers 212 RMD160 9734e79880e91fb5a9efbd723819413da5746923 SHA1 0c93dcf9d8c854a446b8f1442a7fd9d6b5623314 SHA256 35ebdad3dcad3819996ac63909a3aa5cff72f5953e4060f48c861e399c3ea208
AUX config-3.2/swat.xinetd 535 RMD160 de492774e24a45eeb378209aa14b212225f3229a SHA1 5d5113ce77807d972bc0d62993cd6a7c2d30705c SHA256 4de179a10806a2e3af2392c0b9002671e567bb94601cfc0a542c607e6cc9dbc9
AUX config-3.2/system-auth-winbind 709 RMD160 0af9b97a1e35e6e1c5db484bd80ccb95fa8fecf9 SHA1 e36df120cbd51483c22cf324582034c9ff4cee2b SHA256 944f7fbc2d4d5a3da739e1dc37864efa08ee8a39cbd9a36b2ecfeefc47ed3a98
AUX config/lmhosts 130 RMD160 b2acc34f95a4f926528ae67861c3597204be0c41 SHA1 be21644d6b4645d0685b954071b4618faa1c6da2 SHA256 c1c0a520c6d4b4ce7df9bd30f835dd912942b05004fc24e3cc495fc1622d5d8c
AUX config/nsswitch.conf-winbind 410 RMD160 02722819dfba2fb1425eadd0f63f96f598ecda69 SHA1 ede68472b5eae7d2efb805e138bd7f9ca8f7fefb SHA256 d1e61b5a152d05a3d8a9f8d18d574596acc1a594b311278d3ad9ea1b2c273a40
AUX config/nsswitch.conf-wins 396 RMD160 61f7d80bfa06efb16e8e9344f2402fc88b1198e8 SHA1 8139e2034118b0fe64d40cf7dc811435ee151584 SHA256 1ab5c5711823af6a04fdaf4920826940b4b0d92822e6464bbf404ca03d24fd1b
AUX config/samba.pam 397 RMD160 8f64b09e17e0c458a8156db3cc92a0413513e4fc SHA1 f39d48e07be8069885b51253c5b891a856b7b41e SHA256 86634f2d541370518d0958a73c04776ed5df2a3716ef128ff384459acce9cd38
AUX config/samba.schema 16044 RMD160 b28408c64524ea44a9b0ea877d614603456a18fa SHA1 523d8bcf6313fe8ce03a3fbe762ba90b88ca5643 SHA256 c011a2f2f4fcc2839e3609cf5477507d938083f48f15a05787337b352f3afec3
AUX config/smb.conf.example-samba3 19701 RMD160 1ce92cbedb15cf5ee4d66ee50fd7c996231facea SHA1 5c60002f23ac2a60fc27b58ea03659acb0db876a SHA256 83fd9407e71db606bb50677f9d8a557688b6eafacb32d30c7a0a6d1c666b694d
AUX config/smbusers 208 RMD160 04d432806e3024543096da6e079820032a850436 SHA1 ef8344b94b3860d405f8663206be9d5cab6030a9 SHA256 845fbb6c93e4570fc40ca59e2471a9a72cb76fe20ce5bde5f75fec65b5471702
AUX config/swat.xinetd 531 RMD160 76c6d999a77c356d1013ab2586762e034550aac3 SHA1 3c25ea5418a007c875959cf12416ef1cbc37952b SHA256 12c2e1a907d1751f2431fc2b1a4702ee6ddca228c81056333dd96a4f146ac1ab
AUX config/system-auth-winbind 705 RMD160 fc6cc98cd1749d4e44f7edfbfd904fe77aaf046f SHA1 1b55c7b4211133b8fe27d07dd0a4a14539fbf859 SHA256 73791c615c207f2ff5589866eda7def275ed0b1085ac3f465ba9442258858e14
AUX samba-conf 1291 RMD160 326fb4beee8105d839d23e37f4989d7e332c996b SHA1 af7cd695f212d7ec022df05ba2f821a8f9878ab2 SHA256 dfaf474c3cbfa3d3b26d1531c6f5913739d5815c4b8083063934ee4fd6b38861
AUX samba-init 1133 RMD160 77a084e8f78665af0233f19dc9c4a49693360da1 SHA1 09d7f1d676856289b61e890396a9976e2ccc794a SHA256 3b41d16daf02f9a1ab12e62c4c915f58e7801c07be48e2a94086eb288bb86aad
AUX samba-xinetd 286 RMD160 c90bd8518082eb4c182d5f7bd223a76f8e3c7fab SHA1 b250c5ca539187d8b481bcfb6ea3a915d7e8b26b SHA256 964d06dc33beff38978a8f03cd12b05c33d8258ed73aa9ffbf137fe226de25b8
DIST samba-3.0.28.tar.gz 18159912 RMD160 816b57bff30a968c56be0c6864e6ea9f18981737 SHA1 4fcad8134f89a123a254138de0ace4a13993b007 SHA256 dcaf9213b9f7c749b346214ae21808cd336947c71693b4eca1af6f037725d98e
DIST samba-3.0.28a.tar.gz 18172643 RMD160 646680c49fd56d98430d325884a5911d406e13be SHA1 b4829b133af3865f6518bae14af4d989b6f1c31a SHA256 9dc9ecb26017b1831cb1e0b212e1eb8c0b6176df6513fc737b585f453181d9de
DIST samba-3.0.30.tar.gz 20510081 RMD160 49f2f77294cdab6d7ca9db878755db2384e897cc SHA1 609c602d9a17ea05954fc9fc021cfd95227eaefb SHA256 a1789d3b896aab25a20c437f028bb56bc4de8655da8e6f5e7a743922c828fa53
DIST samba-3.2.0rc2.tar.gz 23798537 RMD160 28fe017a713c30fb054eef92a4c21b39ea8036c9 SHA1 23d8865da812cd6f1fd5a5b690bf9c0761dca902 SHA256 c2bff2c31d147377e58275e8aea76ad5e4dc668067f8f0ab9e0ecfa2afc6bc87
EBUILD samba-3.0.28.ebuild 9283 RMD160 7b7b2c477fb2abcafd32067575c33eb712a92140 SHA1 afb536f0dcafcdd411ed0ac51d7f852c6925ed1b SHA256 857d28fc7d3dfdf424b23ad5d03cd34030051a95932ca6797ed41b504bc358ec
EBUILD samba-3.0.28a-r1.ebuild 9385 RMD160 46108598aed74a2183e6215965b90dcfff6fbd40 SHA1 77e70ba0d0b26aedfa49e7d80c7f1a9662d2ac11 SHA256 00b05b0075353bc92806f7ef8fd19535fc6af0c6ca26e57db82fe715c20a0f74
EBUILD samba-3.0.30.ebuild 9348 RMD160 806c245a0103c831d54fadf8c10d9cab0b97af8b SHA1 066e33cd1741e0a531ef485c76611b015dc37206 SHA256 079dbf2425fb8e605d5e1501f5744e6a435ae7b0438759cc5ab938ad5ce0787b
EBUILD samba-3.2.0_rc2.ebuild 8524 RMD160 3059d780ce7ef1f206d90f959cd1e9c0ed8fa57c SHA1 7db27ea7b786e7f71f9b734109277c9c6d72d78f SHA256 b406f8a11e900190813cdac175f573bc0e7cf182e011d88531e52b81071a733b
MISC ChangeLog 57868 RMD160 4eaadedb4ada06a955c3efccadeee345f8f668c8 SHA1 bc6bcc165e6a26506ffedb57f6c3a90c99056e7a SHA256 2ee3a7d2a7235b511382253114907b982984384cee7fcecbf40d93184dc01835
MISC metadata.xml 489 RMD160 36eed0edca609c521314ae415efd57ca9acfecb4 SHA1 317e61704a10a3bd888d32c6834721f5d40d00ff SHA256 6f35f13dd39bb51d304fd59b5352c92bc35a957c9c9412c5c1f3f58e98519792

files

metadata.xml




samba

samba@gentoo.org
Samba Team


Samba is an Open Source/Free Software suite that provides seamless file and print services to SMB/CIFS clients. Integration with various accounting and antivirus backends. License: GNU General Public License.

samba-3.0.28.ebuild

# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-fs/samba/samba-3.0.28.ebuild,v 1.6 2008/04/21 22:07:48 dev-zero Exp $

inherit autotools eutils pam python multilib versionator confutils

MY_P=${PN}-${PV/_/}

DESCRIPTION="A suite of SMB and CIFS client/server programs for UNIX"
HOMEPAGE="http://www.samba.org/"
SRC_URI="mirror://samba/${MY_P}.tar.gz
mirror://samba/old-versions/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc ~sparc-fbsd x86 ~x86-fbsd"
IUSE_LINGUAS="linguas_ja linguas_pl"
IUSE="${IUSE_LINGUAS} acl ads async automount caps cups doc examples ipv6 kernel_linux ldap fam
pam python quotas readline selinux swat syslog winbind"

RDEPEND="dev-libs/popt
virtual/libiconv
acl? ( kernel_linux? ( sys-apps/acl ) )
cups? ( net-print/cups )
ipv6? ( sys-apps/xinetd )
ads? ( virtual/krb5 )
ldap? ( net-nds/openldap )
pam? ( virtual/pam )
python? ( dev-lang/python )
readline? ( sys-libs/readline )
selinux? ( sec-policy/selinux-samba )
swat? ( sys-apps/xinetd )
syslog? ( virtual/logger )
fam? ( virtual/fam )
caps? ( sys-libs/libcap )"
DEPEND="${RDEPEND}"

S=${WORKDIR}/${MY_P}
CONFDIR=${FILESDIR}/config
PRIVATE_DST=/var/lib/samba/private

pkg_setup() {
confutils_use_depend_all ads ldap
}

src_unpack() {
unpack ${A}
cd "${S}/source"

# This patch adds "-Wl,-z,now" to smb{mnt,umount}
# Please read ... for further informations
epatch "${FILESDIR}/3.0.26a-lazyldflags.patch"

# Bug #196015 (upstream: #5021)
epatch "${FILESDIR}/3.0.26a-invalid-free-fix.patch"

epatch "${FILESDIR}/${PV}-libcap_detection.patch" \
"${FILESDIR}/${PV}-inotify_include.patch" \
"${FILESDIR}/${PV}-fix_broken_readdir_detection.patch" \
"${FILESDIR}/${PV}-autoconf-2.62-fix.patch"

eautoconf -I. -Ilib/replace

# Ok, agreed, this is ugly. But it avoids a patch we
# need for every samba version and we don't need autotools
sed -i \
-e 's|"lib32" ||' \
-e 's|if test -d "$i/$l" ;|if test -d "$i/$l" -o -L "$i/$l";|' \
configure || die "sed failed"

rm "${S}/docs/manpages"/{mount,umount}.cifs.8

}

src_compile() {
cd "${S}/source"

local myconf
local mylangs
local mymod_shared

python_version
myconf="--with-python=no"
use python && myconf="--with-python=${python}"

mylangs="--with-manpages-langs=en"
use linguas_ja && mylangs="${mylangs},ja"
use linguas_pl && mylangs="${mylangs},pl"

use winbind && mymod_shared="--with-shared-modules=idmap_rid"
if use ldap ; then
myconf="${myconf} $(use_with ads)"
use winbind && mymod_shared="${mymod_shared},idmap_ad"
fi

[[ ${CHOST} == *-*bsd* ]] && myconf="${myconf} --disable-pie"
use hppa && myconf="${myconf} --disable-pie"

use caps && export ac_cv_header_sys_capability_h=yes || export ac_cv_header_sys_capability_h=no

# Otherwise we get the whole swat stuff installed
if ! use swat ; then
sed -i \
-e 's/^\(install:.*\)installswat \(.*\)/\1\2/' \
Makefile.in || die "sed failed"
fi

econf \
--with-fhs \
--sysconfdir=/etc/samba \
--localstatedir=/var \
--with-configdir=/etc/samba \
--with-libdir=/usr/$(get_libdir)/samba \
--with-pammodulesdir=$(getpam_mod_dir) \
--with-swatdir=/usr/share/doc/${PF}/swat \
--with-piddir=/var/run/samba \
--with-lockdir=/var/cache/samba \
--with-logfilebase=/var/log/samba \
--with-privatedir=${PRIVATE_DST} \
--with-libsmbclient \
--without-spinlocks \
--enable-socket-wrapper \
--with-cifsmount=no \
$(use_with acl acl-support) \
$(use_with async aio-support) \
$(use_with automount) \
$(use_enable cups) \
$(use_enable fam) \
$(use_with ads krb5) \
$(use_with ldap) \
$(use_with pam) $(use_with pam pam_smbpass) \
$(use_with quotas) $(use_with quotas sys-quotas) \
$(use_with readline) \
$(use_with kernel_linux smbmount) \
$(use_with syslog) \
$(use_with winbind) \
${myconf} ${mylangs} ${mymod_shared} || die "econf failed"

emake proto || die "emake proto failed"
emake everything || die "emake everything failed"

if use python ; then
emake python_ext || die "emake python_ext failed"
fi
}

src_test() {
cd "${S}/source"
emake test || die "tests failed"
}

src_install() {
cd "${S}/source"

emake DESTDIR="${D}" install-everything || die "emake install-everything failed"

# Extra rpctorture progs
local extra_bins="rpctorture"
for i in ${extra_bins} ; do
[[ -x "${S}/bin/${i}" ]] && dobin "${S}/bin/${i}"
done

# remove .old stuff from /usr/bin:
rm -f "${D}"/usr/bin/*.old

# Removing executable bits from header-files
fperms 644 /usr/include/lib{msrpc,smbclient}.h

# Nsswitch extensions. Make link for wins and winbind resolvers
if use winbind ; then
dolib.so nsswitch/libnss_wins.so
dosym libnss_wins.so /usr/$(get_libdir)/libnss_wins.so.2
dolib.so nsswitch/libnss_winbind.so
dosym libnss_winbind.so /usr/$(get_libdir)/libnss_winbind.so.2
fi

if use kernel_linux ; then
# Warning: this can byte you if /usr is
# on a separate volume and you have to mount
# a smb volume before the local mount
dosym ../usr/bin/smbmount /sbin/mount.smbfs
fperms 4755 /usr/bin/smbmnt
fperms 4755 /usr/bin/smbumount
fi

# bug #46389: samba doesn't create symlink anymore
# beaviour seems to be changed in 3.0.6, see bug #61046
dosym samba/libsmbclient.so /usr/$(get_libdir)/libsmbclient.so.0
dosym samba/libsmbclient.so /usr/$(get_libdir)/libsmbclient.so

# make the smb backend symlink for cups printing support (bug #133133)
if use cups ; then
dodir $(cups-config --serverbin)/backend
dosym /usr/bin/smbspool $(cups-config --serverbin)/backend/smb
fi

if use python ; then
emake DESTDIR="${D}" python_install || die "emake installpython failed"
# We're doing that manually
find "${D}/usr/$(get_libdir)/python${PYVER}/site-packages" -iname "*.pyc" -delete
fi

cd "${S}/source"

# General config files
insinto /etc/samba
doins "${CONFDIR}"/{smbusers,lmhosts}
newins "${CONFDIR}/smb.conf.example-samba3" smb.conf.example

newpamd "${CONFDIR}/samba.pam" samba
use winbind && doins ${CONFDIR}/system-auth-winbind
if use swat ; then
insinto /etc/xinetd.d
newins "${CONFDIR}/swat.xinetd" swat
else
rm -f "${D}/usr/sbin/swat"
rm -f "${D}/usr/share/man/man8/swat.8"
fi

newinitd "${FILESDIR}/samba-init" samba
newconfd "${FILESDIR}/samba-conf" samba

if use ldap ; then
insinto /etc/openldap/schema
doins "${S}/examples/LDAP/samba.schema"
fi

if use ipv6 ; then
insinto /etc/xinetd.d
newins "${FILESDIR}/samba-xinetd" smb
fi

# dirs
diropts -m0700 ; keepdir ${PRIVATE_DST}
diropts -m1777 ; keepdir /var/spool/samba

diropts -m0755
keepdir /var/{log,run,cache}/samba
keepdir /var/lib/samba/{netlogon,profiles}
keepdir /var/lib/samba/printers/{W32X86,WIN40,W32ALPHA,W32MIPS,W32PPC,X64,IA64,COLOR}
keepdir /usr/$(get_libdir)/samba/{rpc,idmap,auth}

# docs
dodoc "${FILESDIR}/README.gentoo"
dodoc "${S}"/{README,Roadmap,WHATSNEW.txt}
dodoc "${CONFDIR}/nsswitch.conf-wins"
use winbind && dodoc "${CONFDIR}/nsswitch.conf-winbind"

if use examples ; then
insinto /usr/share/doc/${PF}
doins -r "${S}/examples/"
find "${D}/usr/share/doc/${PF}" -type d -print0 | xargs -0 chmod 755
find "${D}/usr/share/doc/${PF}/examples" ! -type d -print0 | xargs -0 chmod 644
if use python ; then
insinto /usr/share/doc/${PF}/python
doins -r "${S}/source/python/examples"
fi
fi

if ! use doc ; then
if ! use swat ; then
rm -rf "${D}/usr/share/doc/${PF}/swat"
else
rm -rf "${D}/usr/share/doc/${PF}/swat/help"/{guide,howto,devel}
rm -rf "${D}/usr/share/doc/${PF}/swat/using_samba"
fi
fi

}

pkg_preinst() {
local PRIVATE_SRC=/etc/samba/private
if [[ ! -r "${ROOT}/${PRIVATE_DST}/secrets.tdb" \
&& -r "${ROOT}/${PRIVATE_SRC}/secrets.tdb" ]] ; then
ebegin "Copying ${ROOT}/${PRIVATE_SRC}/* to ${ROOT}/${PRIVATE_DST}/"
mkdir -p "${D}/${PRIVATE_DST}"
cp -pPRf "${ROOT}/${PRIVATE_SRC}"/* "${D}/${PRIVATE_DST}/"
eend $?
fi

if [[ ! -f "${ROOT}/etc/samba/smb.conf" ]] ; then
touch "${D}/etc/samba/smb.conf"
fi
}

pkg_postinst() {
if use python ; then
python_version
python_mod_optimize /usr/$(get_libdir)/python${PYVER}/site-packages/samba
fi

if use swat ; then
einfo "swat must be enabled by xinetd:"
einfo " change the /etc/xinetd.d/swat configuration"
fi

if use ipv6 ; then
einfo "ipv6 support must be enabled by xinetd:"
einfo " change the /etc/xinetd.d/smb configuration"
fi

elog "It is possible to start/stop daemons separately:"
elog " Create a symlink from /etc/init.d/samba.{smbd,nmbd,winbind} to"
elog " /etc/init.d/samba. Calling /etc/init.d/samba directly will start"
elog " the daemons configured in /etc/conf.d/samba"

elog "The mount/umount.cifs helper applications are not included anymore."
elog "Please install net-fs/mount-cifs instead."

ewarn "If you're upgrading from 3.0.24 or earlier, please make sure to"
ewarn "restart your clients to clear any cached information about the server."
ewarn "Otherwise they might not be able to connect to the volumes."
}

pkg_postrm() {
if use python ; then
python_version
python_mod_cleanup /usr/$(get_libdir)/python${PYVER}/site-packages/samba
fi
}

samba-3.0.28a-r1.ebuild

# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-fs/samba/samba-3.0.28a-r1.ebuild,v 1.2 2008/05/30 10:57:02 armin76 Exp $

inherit autotools eutils pam python multilib versionator confutils

MY_P=${PN}-${PV/_/}

DESCRIPTION="A suite of SMB and CIFS client/server programs for UNIX"
HOMEPAGE="http://www.samba.org/"
SRC_URI="mirror://samba/${MY_P}.tar.gz
mirror://samba/old-versions/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc ~sparc-fbsd x86 ~x86-fbsd"
IUSE_LINGUAS="linguas_ja linguas_pl"
IUSE="${IUSE_LINGUAS} acl ads async automount caps cups doc examples ipv6 kernel_linux ldap fam
pam python quotas readline selinux swat syslog winbind"

RDEPEND="dev-libs/popt
virtual/libiconv
acl? ( kernel_linux? ( sys-apps/acl ) )
cups? ( net-print/cups )
ipv6? ( sys-apps/xinetd )
ads? ( virtual/krb5 )
ldap? ( net-nds/openldap )
pam? ( virtual/pam )
python? ( dev-lang/python )
readline? ( sys-libs/readline )
selinux? ( sec-policy/selinux-samba )
swat? ( sys-apps/xinetd )
syslog? ( virtual/logger )
fam? ( virtual/fam )
caps? ( sys-libs/libcap )"
DEPEND="${RDEPEND}"

# Tests are broken now :-(
RESTRICT="test"

S=${WORKDIR}/${MY_P}
CONFDIR=${FILESDIR}/config
PRIVATE_DST=/var/lib/samba/private

pkg_setup() {
confutils_use_depend_all ads ldap
}

src_unpack() {
unpack ${A}
cd "${S}/source"

# lazyldflags.patch: adds "-Wl,-z,now" to smb{mnt,umount}
# invalid-free-fix.patch: Bug #196015 (upstream: #5021)

epatch \
"${FILESDIR}/3.0.26a-lazyldflags.patch" \
"${FILESDIR}/3.0.26a-invalid-free-fix.patch" \
"${FILESDIR}/3.0.28-libcap_detection.patch" \
"${FILESDIR}/3.0.28-fix_broken_readdir_detection.patch" \
"${FILESDIR}/3.0.28-autoconf-2.62-fix.patch" \
"${FILESDIR}/${PV}-wrong_python_ldflags.patch" \
"${FILESDIR}/${PV}-CVE-2008-1105.patch"

eautoconf -I. -Ilib/replace

# Ok, agreed, this is ugly. But it avoids a patch we
# need for every samba version and we don't need autotools
sed -i \
-e 's|"lib32" ||' \
-e 's|if test -d "$i/$l" ;|if test -d "$i/$l" -o -L "$i/$l";|' \
configure || die "sed failed"

rm "${S}/docs/manpages"/{mount,umount}.cifs.8

}

src_compile() {
cd "${S}/source"

local myconf
local mylangs
local mymod_shared

python_version
myconf="--with-python=no"
use python && myconf="--with-python=${python}"

mylangs="--with-manpages-langs=en"
use linguas_ja && mylangs="${mylangs},ja"
use linguas_pl && mylangs="${mylangs},pl"

use winbind && mymod_shared="--with-shared-modules=idmap_rid"
if use ldap ; then
myconf="${myconf} $(use_with ads)"
use winbind && mymod_shared="${mymod_shared},idmap_ad"
fi

[[ ${CHOST} == *-*bsd* ]] && myconf="${myconf} --disable-pie"
use hppa && myconf="${myconf} --disable-pie"

use caps && export ac_cv_header_sys_capability_h=yes || export ac_cv_header_sys_capability_h=no

# Otherwise we get the whole swat stuff installed
if ! use swat ; then
sed -i \
-e 's/^\(install:.*\)installswat \(.*\)/\1\2/' \
Makefile.in || die "sed failed"
fi

econf \
--with-fhs \
--sysconfdir=/etc/samba \
--localstatedir=/var \
--with-configdir=/etc/samba \
--with-libdir=/usr/$(get_libdir)/samba \
--with-pammodulesdir=$(getpam_mod_dir) \
--with-swatdir=/usr/share/doc/${PF}/swat \
--with-piddir=/var/run/samba \
--with-lockdir=/var/cache/samba \
--with-logfilebase=/var/log/samba \
--with-privatedir=${PRIVATE_DST} \
--with-libsmbclient \
--without-spinlocks \
--enable-socket-wrapper \
--with-cifsmount=no \
$(use_with acl acl-support) \
$(use_with async aio-support) \
$(use_with automount) \
$(use_enable cups) \
$(use_enable fam) \
$(use_with ads krb5) \
$(use_with ldap) \
$(use_with pam) $(use_with pam pam_smbpass) \
$(use_with quotas) $(use_with quotas sys-quotas) \
$(use_with readline) \
$(use_with kernel_linux smbmount) \
$(use_with syslog) \
$(use_with winbind) \
${myconf} ${mylangs} ${mymod_shared} || die "econf failed"

emake proto || die "emake proto failed"
emake everything || die "emake everything failed"

if use python ; then
emake python_ext || die "emake python_ext failed"
fi
}

src_test() {
cd "${S}/source"
emake test || die "tests failed"
}

src_install() {
cd "${S}/source"

emake DESTDIR="${D}" install-everything || die "emake install-everything failed"

# Extra rpctorture progs
local extra_bins="rpctorture"
for i in ${extra_bins} ; do
[[ -x "${S}/bin/${i}" ]] && dobin "${S}/bin/${i}"
done

# remove .old stuff from /usr/bin:
rm -f "${D}"/usr/bin/*.old

# Removing executable bits from header-files
fperms 644 /usr/include/lib{msrpc,smbclient}.h

# Nsswitch extensions. Make link for wins and winbind resolvers
if use winbind ; then
dolib.so nsswitch/libnss_wins.so
dosym libnss_wins.so /usr/$(get_libdir)/libnss_wins.so.2
dolib.so nsswitch/libnss_winbind.so
dosym libnss_winbind.so /usr/$(get_libdir)/libnss_winbind.so.2
fi

if use kernel_linux ; then
# Warning: this can byte you if /usr is
# on a separate volume and you have to mount
# a smb volume before the local mount
dosym ../usr/bin/smbmount /sbin/mount.smbfs
fperms 4755 /usr/bin/smbmnt
fperms 4755 /usr/bin/smbumount
fi

# bug #46389: samba doesn't create symlink anymore
# beaviour seems to be changed in 3.0.6, see bug #61046
dosym samba/libsmbclient.so /usr/$(get_libdir)/libsmbclient.so.0
dosym samba/libsmbclient.so /usr/$(get_libdir)/libsmbclient.so

# make the smb backend symlink for cups printing support (bug #133133)
if use cups ; then
dodir $(cups-config --serverbin)/backend
dosym /usr/bin/smbspool $(cups-config --serverbin)/backend/smb
fi

if use python ; then
emake DESTDIR="${D}" python_install || die "emake installpython failed"
# We're doing that manually
find "${D}/usr/$(get_libdir)/python${PYVER}/site-packages" -iname "*.pyc" -delete
fi

cd "${S}/source"

# General config files
insinto /etc/samba
doins "${CONFDIR}"/{smbusers,lmhosts}
newins "${CONFDIR}/smb.conf.example-samba3" smb.conf.example

newpamd "${CONFDIR}/samba.pam" samba
use winbind && dopamd "${CONFDIR}/system-auth-winbind"
if use swat ; then
insinto /etc/xinetd.d
newins "${CONFDIR}/swat.xinetd" swat
else
rm -f "${D}/usr/sbin/swat"
rm -f "${D}/usr/share/man/man8/swat.8"
fi

newinitd "${FILESDIR}/samba-init" samba
newconfd "${FILESDIR}/samba-conf" samba

if use ldap ; then
insinto /etc/openldap/schema
doins "${S}/examples/LDAP/samba.schema"
fi

if use ipv6 ; then
insinto /etc/xinetd.d
newins "${FILESDIR}/samba-xinetd" smb
fi

# dirs
diropts -m0700 ; keepdir "${PRIVATE_DST}"
diropts -m1777 ; keepdir /var/spool/samba

diropts -m0755
keepdir /var/{log,run,cache}/samba
keepdir /var/lib/samba/{netlogon,profiles}
keepdir /var/lib/samba/printers/{W32X86,WIN40,W32ALPHA,W32MIPS,W32PPC,X64,IA64,COLOR}
keepdir /usr/$(get_libdir)/samba/{rpc,idmap,auth}

# docs
dodoc "${FILESDIR}/README.gentoo"
dodoc "${S}"/{MAINTAINERS,README,Roadmap,WHATSNEW.txt}
dodoc "${CONFDIR}/nsswitch.conf-wins"
use winbind && dodoc "${CONFDIR}/nsswitch.conf-winbind"

if use examples ; then
insinto /usr/share/doc/${PF}
doins -r "${S}/examples/"
find "${D}/usr/share/doc/${PF}" -type d -print0 | xargs -0 chmod 755
find "${D}/usr/share/doc/${PF}/examples" ! -type d -print0 | xargs -0 chmod 644
if use python ; then
insinto /usr/share/doc/${PF}/python
doins -r "${S}/source/python/examples"
fi
fi

if ! use doc ; then
if ! use swat ; then
rm -rf "${D}/usr/share/doc/${PF}/swat"
else
rm -rf "${D}/usr/share/doc/${PF}/swat/help"/{guide,howto,devel}
rm -rf "${D}/usr/share/doc/${PF}/swat/using_samba"
fi
fi

}

pkg_preinst() {
local PRIVATE_SRC=/etc/samba/private
if [[ ! -r "${ROOT}/${PRIVATE_DST}/secrets.tdb" \
&& -r "${ROOT}/${PRIVATE_SRC}/secrets.tdb" ]] ; then
ebegin "Copying ${ROOT}/${PRIVATE_SRC}/* to ${ROOT}/${PRIVATE_DST}/"
mkdir -p "${D}/${PRIVATE_DST}"
cp -pPRf "${ROOT}/${PRIVATE_SRC}"/* "${D}/${PRIVATE_DST}/"
eend $?
fi

if [[ ! -f "${ROOT}/etc/samba/smb.conf" ]] ; then
touch "${D}/etc/samba/smb.conf"
fi
}

pkg_postinst() {
if use python ; then
python_version
python_mod_optimize /usr/$(get_libdir)/python${PYVER}/site-packages/samba
fi

if use swat ; then
einfo "swat must be enabled by xinetd:"
einfo " change the /etc/xinetd.d/swat configuration"
fi

if use ipv6 ; then
einfo "ipv6 support must be enabled by xinetd:"
einfo " change the /etc/xinetd.d/smb configuration"
fi

elog "It is possible to start/stop daemons separately:"
elog " Create a symlink from /etc/init.d/samba.{smbd,nmbd,winbind} to"
elog " /etc/init.d/samba. Calling /etc/init.d/samba directly will start"
elog " the daemons configured in /etc/conf.d/samba"

elog "The mount/umount.cifs helper applications are not included anymore."
elog "Please install net-fs/mount-cifs instead."

ewarn "If you're upgrading from 3.0.24 or earlier, please make sure to"
ewarn "restart your clients to clear any cached information about the server."
ewarn "Otherwise they might not be able to connect to the volumes."
}

pkg_postrm() {
if use python ; then
python_version
python_mod_cleanup /usr/$(get_libdir)/python${PYVER}/site-packages/samba
fi
}

samba-3.0.30.ebuild

# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-fs/samba/samba-3.0.30.ebuild,v 1.1 2008/05/31 08:27:47 dev-zero Exp $

inherit autotools eutils pam python multilib versionator confutils

MY_P=${PN}-${PV/_/}

DESCRIPTION="A suite of SMB and CIFS client/server programs for UNIX"
HOMEPAGE="http://www.samba.org/"
SRC_URI="mirror://samba/${MY_P}.tar.gz
mirror://samba/old-versions/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
IUSE_LINGUAS="linguas_ja linguas_pl"
IUSE="${IUSE_LINGUAS} acl ads async automount caps cups doc examples ipv6 kernel_linux ldap fam
pam python quotas readline selinux swat syslog winbind"

RDEPEND="dev-libs/popt
virtual/libiconv
acl? ( kernel_linux? ( sys-apps/acl ) )
cups? ( net-print/cups )
ipv6? ( sys-apps/xinetd )
ads? ( virtual/krb5 )
ldap? ( net-nds/openldap )
pam? ( virtual/pam )
python? ( dev-lang/python )
readline? ( sys-libs/readline )
selinux? ( sec-policy/selinux-samba )
swat? ( sys-apps/xinetd )
syslog? ( virtual/logger )
fam? ( virtual/fam )
caps? ( sys-libs/libcap )"
DEPEND="${RDEPEND}"

# Tests are broken now :-(
RESTRICT="test"

S=${WORKDIR}/${MY_P}
CONFDIR=${FILESDIR}/config
PRIVATE_DST=/var/lib/samba/private

pkg_setup() {
confutils_use_depend_all ads ldap
}

src_unpack() {
unpack ${A}
cd "${S}/source"

# lazyldflags.patch: adds "-Wl,-z,now" to smb{mnt,umount}
# invalid-free-fix.patch: Bug #196015 (upstream: #5021)

epatch \
"${FILESDIR}/3.0.26a-lazyldflags.patch" \
"${FILESDIR}/3.0.26a-invalid-free-fix.patch" \
"${FILESDIR}/3.0.28-libcap_detection.patch" \
"${FILESDIR}/3.0.28-fix_broken_readdir_detection.patch" \
"${FILESDIR}/3.0.28-autoconf-2.62-fix.patch" \
"${FILESDIR}/3.0.28a-wrong_python_ldflags.patch"

eautoconf -I. -Ilib/replace

# Ok, agreed, this is ugly. But it avoids a patch we
# need for every samba version and we don't need autotools
sed -i \
-e 's|"lib32" ||' \
-e 's|if test -d "$i/$l" ;|if test -d "$i/$l" -o -L "$i/$l";|' \
configure || die "sed failed"

rm "${S}/docs/manpages"/{mount,umount}.cifs.8

}

src_compile() {
cd "${S}/source"

local myconf
local mylangs
local mymod_shared

python_version
myconf="--with-python=no"
use python && myconf="--with-python=${python}"

mylangs="--with-manpages-langs=en"
use linguas_ja && mylangs="${mylangs},ja"
use linguas_pl && mylangs="${mylangs},pl"

use winbind && mymod_shared="--with-shared-modules=idmap_rid"
if use ldap ; then
myconf="${myconf} $(use_with ads)"
use winbind && mymod_shared="${mymod_shared},idmap_ad"
fi

[[ ${CHOST} == *-*bsd* ]] && myconf="${myconf} --disable-pie"
use hppa && myconf="${myconf} --disable-pie"

use caps && export ac_cv_header_sys_capability_h=yes || export ac_cv_header_sys_capability_h=no

# Otherwise we get the whole swat stuff installed
if ! use swat ; then
sed -i \
-e 's/^\(install:.*\)installswat \(.*\)/\1\2/' \
Makefile.in || die "sed failed"
fi

econf \
--with-fhs \
--sysconfdir=/etc/samba \
--localstatedir=/var \
--with-configdir=/etc/samba \
--with-libdir=/usr/$(get_libdir)/samba \
--with-pammodulesdir=$(getpam_mod_dir) \
--with-swatdir=/usr/share/doc/${PF}/swat \
--with-piddir=/var/run/samba \
--with-lockdir=/var/cache/samba \
--with-logfilebase=/var/log/samba \
--with-privatedir=${PRIVATE_DST} \
--with-libsmbclient \
--without-spinlocks \
--enable-socket-wrapper \
--with-cifsmount=no \
$(use_with acl acl-support) \
$(use_with async aio-support) \
$(use_with automount) \
$(use_enable cups) \
$(use_enable fam) \
$(use_with ads krb5) \
$(use_with ldap) \
$(use_with pam) $(use_with pam pam_smbpass) \
$(use_with quotas) $(use_with quotas sys-quotas) \
$(use_with readline) \
$(use_with kernel_linux smbmount) \
$(use_with syslog) \
$(use_with winbind) \
${myconf} ${mylangs} ${mymod_shared} || die "econf failed"

emake proto || die "emake proto failed"
emake everything || die "emake everything failed"

if use python ; then
emake python_ext || die "emake python_ext failed"
fi
}

src_test() {
cd "${S}/source"
emake test || die "tests failed"
}

src_install() {
cd "${S}/source"

emake DESTDIR="${D}" install-everything || die "emake install-everything failed"

# Extra rpctorture progs
local extra_bins="rpctorture"
for i in ${extra_bins} ; do
[[ -x "${S}/bin/${i}" ]] && dobin "${S}/bin/${i}"
done

# remove .old stuff from /usr/bin:
rm -f "${D}"/usr/bin/*.old

# Removing executable bits from header-files
fperms 644 /usr/include/lib{msrpc,smbclient}.h

# Nsswitch extensions. Make link for wins and winbind resolvers
if use winbind ; then
dolib.so nsswitch/libnss_wins.so
dosym libnss_wins.so /usr/$(get_libdir)/libnss_wins.so.2
dolib.so nsswitch/libnss_winbind.so
dosym libnss_winbind.so /usr/$(get_libdir)/libnss_winbind.so.2
fi

if use kernel_linux ; then
# Warning: this can byte you if /usr is
# on a separate volume and you have to mount
# a smb volume before the local mount
dosym ../usr/bin/smbmount /sbin/mount.smbfs
fperms 4755 /usr/bin/smbmnt
fperms 4755 /usr/bin/smbumount
fi

# bug #46389: samba doesn't create symlink anymore
# beaviour seems to be changed in 3.0.6, see bug #61046
dosym samba/libsmbclient.so /usr/$(get_libdir)/libsmbclient.so.0
dosym samba/libsmbclient.so /usr/$(get_libdir)/libsmbclient.so

# make the smb backend symlink for cups printing support (bug #133133)
if use cups ; then
dodir $(cups-config --serverbin)/backend
dosym /usr/bin/smbspool $(cups-config --serverbin)/backend/smb
fi

if use python ; then
emake DESTDIR="${D}" python_install || die "emake installpython failed"
# We're doing that manually
find "${D}/usr/$(get_libdir)/python${PYVER}/site-packages" -iname "*.pyc" -delete
fi

cd "${S}/source"

# General config files
insinto /etc/samba
doins "${CONFDIR}"/{smbusers,lmhosts}
newins "${CONFDIR}/smb.conf.example-samba3" smb.conf.example

newpamd "${CONFDIR}/samba.pam" samba
use winbind && dopamd "${CONFDIR}/system-auth-winbind"
if use swat ; then
insinto /etc/xinetd.d
newins "${CONFDIR}/swat.xinetd" swat
else
rm -f "${D}/usr/sbin/swat"
rm -f "${D}/usr/share/man/man8/swat.8"
fi

newinitd "${FILESDIR}/samba-init" samba
newconfd "${FILESDIR}/samba-conf" samba

if use ldap ; then
insinto /etc/openldap/schema
doins "${S}/examples/LDAP/samba.schema"
fi

if use ipv6 ; then
insinto /etc/xinetd.d
newins "${FILESDIR}/samba-xinetd" smb
fi

# dirs
diropts -m0700 ; keepdir "${PRIVATE_DST}"
diropts -m1777 ; keepdir /var/spool/samba

diropts -m0755
keepdir /var/{log,run,cache}/samba
keepdir /var/lib/samba/{netlogon,profiles}
keepdir /var/lib/samba/printers/{W32X86,WIN40,W32ALPHA,W32MIPS,W32PPC,X64,IA64,COLOR}
keepdir /usr/$(get_libdir)/samba/{rpc,idmap,auth}

# docs
dodoc "${FILESDIR}/README.gentoo"
dodoc "${S}"/{MAINTAINERS,README,Roadmap,WHATSNEW.txt}
dodoc "${CONFDIR}/nsswitch.conf-wins"
use winbind && dodoc "${CONFDIR}/nsswitch.conf-winbind"

if use examples ; then
insinto /usr/share/doc/${PF}
doins -r "${S}/examples/"
find "${D}/usr/share/doc/${PF}" -type d -print0 | xargs -0 chmod 755
find "${D}/usr/share/doc/${PF}/examples" ! -type d -print0 | xargs -0 chmod 644
if use python ; then
insinto /usr/share/doc/${PF}/python
doins -r "${S}/source/python/examples"
fi
fi

if ! use doc ; then
if ! use swat ; then
rm -rf "${D}/usr/share/doc/${PF}/swat"
else
rm -rf "${D}/usr/share/doc/${PF}/swat/help"/{guide,howto,devel}
rm -rf "${D}/usr/share/doc/${PF}/swat/using_samba"
fi
fi

}

pkg_preinst() {
local PRIVATE_SRC=/etc/samba/private
if [[ ! -r "${ROOT}/${PRIVATE_DST}/secrets.tdb" \
&& -r "${ROOT}/${PRIVATE_SRC}/secrets.tdb" ]] ; then
ebegin "Copying ${ROOT}/${PRIVATE_SRC}/* to ${ROOT}/${PRIVATE_DST}/"
mkdir -p "${D}/${PRIVATE_DST}"
cp -pPRf "${ROOT}/${PRIVATE_SRC}"/* "${D}/${PRIVATE_DST}/"
eend $?
fi

if [[ ! -f "${ROOT}/etc/samba/smb.conf" ]] ; then
touch "${D}/etc/samba/smb.conf"
fi
}

pkg_postinst() {
if use python ; then
python_version
python_mod_optimize /usr/$(get_libdir)/python${PYVER}/site-packages/samba
fi

if use swat ; then
einfo "swat must be enabled by xinetd:"
einfo " change the /etc/xinetd.d/swat configuration"
fi

if use ipv6 ; then
einfo "ipv6 support must be enabled by xinetd:"
einfo " change the /etc/xinetd.d/smb configuration"
fi

elog "It is possible to start/stop daemons separately:"
elog " Create a symlink from /etc/init.d/samba.{smbd,nmbd,winbind} to"
elog " /etc/init.d/samba. Calling /etc/init.d/samba directly will start"
elog " the daemons configured in /etc/conf.d/samba"

elog "The mount/umount.cifs helper applications are not included anymore."
elog "Please install net-fs/mount-cifs instead."

ewarn "If you're upgrading from 3.0.24 or earlier, please make sure to"
ewarn "restart your clients to clear any cached information about the server."
ewarn "Otherwise they might not be able to connect to the volumes."
}

pkg_postrm() {
if use python ; then
python_version
python_mod_cleanup /usr/$(get_libdir)/python${PYVER}/site-packages/samba
fi
}

samba-3.2.0_rc2.ebuild

# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-fs/samba/samba-3.2.0_rc2.ebuild,v 1.1 2008/06/12 12:10:25 dev-zero Exp $

inherit eutils pam multilib versionator confutils

MY_P=${PN}-${PV/_/}

DESCRIPTION="A suite of SMB and CIFS client/server programs for UNIX"
HOMEPAGE="http://www.samba.org/"
SRC_URI="mirror://samba/rc/${MY_P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE_LINGUAS="linguas_ja linguas_pl"
IUSE="${IUSE_LINGUAS} acl ads async automount caps cups doc examples ipv6 kernel_linux ldap fam
pam quotas readline selinux swat syslog winbind"

RDEPEND="dev-libs/popt
dev-libs/iniparser
virtual/libiconv
acl? ( kernel_linux? ( sys-apps/acl ) )
cups? ( net-print/cups )
ipv6? ( sys-apps/xinetd )
ads? ( virtual/krb5 sys-fs/e2fsprogs )
ldap? ( net-nds/openldap )
pam? ( virtual/pam )
readline? ( sys-libs/readline )
selinux? ( sec-policy/selinux-samba )
swat? ( sys-apps/xinetd )
syslog? ( virtual/logger )
fam? ( virtual/fam )
caps? ( sys-libs/libcap )"
DEPEND="${RDEPEND}"

S="${WORKDIR}/${MY_P}"
CONFDIR="${FILESDIR}/config-3.2"
PRIVATE_DST=/var/lib/samba/private

# Tests are currently broken due to hardcoded paths (due to --with-fhs)
# The problem is that --without-fhs lets samba use lockdir (which can be changed in smb.conf)
# which is wrong as well.
RESTRICT="test"

pkg_setup() {
confutils_use_depend_all ads ldap

ewarn "This is a pre-release. That means it is _not_ stable and only for testing."
ewarn "Bugs in the ebuild can be reported in our bugtracker at https://bugs.gentoo.org"
ewarn "Bugs in Samba should be reported at https://bugzilla.samba.org _after_"
ewarn "carefully checking whether it is a Samba bug. If you can't find out whether"
ewarn "it's in the ebuild, your setup or Samba itself, you should definitely _not_ use"
ewarn "this package and wait until the final release."
ewarn
ewarn "There is no python-support anymore."
ebeep 5
}

src_unpack() {
unpack ${A}
cd "${S}/source"

# Ok, agreed, this is ugly. But it avoids a patch we
# need for every samba version and we don't need autotools
sed -i \
-e 's|"lib32" ||' \
-e 's|if test -d "$i/$l" ;|if test -d "$i/$l" -o -L "$i/$l";|' \
configure || die "sed failed"

rm "${S}/docs/manpages"/{mount,umount}.cifs.8

sed -i \
-e 's|tdbsam|tdbsam:${PRIVATEDIR}/passdb.tdb|' \
"${S}/source/script/tests/selftest.sh" || die "sed failed"
}

src_compile() {
cd "${S}/source"

local myconf
local mylangs
local mymod_shared

mylangs="--with-manpages-langs=en"
use linguas_ja && mylangs="${mylangs},ja"
use linguas_pl && mylangs="${mylangs},pl"

use winbind && mymod_shared="--with-shared-modules=idmap_rid"
if use ldap ; then
myconf="${myconf} $(use_with ads)"
use winbind && mymod_shared="${mymod_shared},idmap_ad"
fi

[[ ${CHOST} == *-*bsd* ]] && myconf="${myconf} --disable-pie"
use hppa && myconf="${myconf} --disable-pie"

use caps && export ac_cv_header_sys_capability_h=yes || export ac_cv_header_sys_capability_h=no

# Otherwise we get the whole swat stuff installed
if ! use swat ; then
sed -i \
-e 's/^\(install:.*\)installswat \(.*\)/\1\2/' \
Makefile.in || die "sed failed"
fi

econf \
--with-fhs \
--sysconfdir=/etc/samba \
--localstatedir=/var \
--with-configdir=/etc/samba \
--with-libdir=/usr/$(get_libdir)/samba \
--with-pammodulesdir=$(getpam_mod_dir) \
--with-swatdir=/usr/share/doc/${PF}/swat \
--with-piddir=/var/run/samba \
--with-lockdir=/var/cache/samba \
--with-logfilebase=/var/log/samba \
--with-privatedir=${PRIVATE_DST} \
--with-libsmbclient \
--without-spinlocks \
--enable-socket-wrapper \
--enable-nss-wrapper \
--with-cifsmount=no \
$(use_with acl acl-support) \
$(use_with async aio-support) \
$(use_with automount) \
$(use_enable cups) \
$(use_enable fam) \
$(use_with ads krb5) \
$(use_with ads dnsupdate) \
$(use_with ldap) \
$(use_with pam) $(use_with pam pam_smbpass) \
$(use_with quotas) $(use_with quotas sys-quotas) \
$(use_with readline) \
$(use_with syslog) \
$(use_with winbind) \
${myconf} ${mylangs} ${mymod_shared} || die "econf failed"

emake proto || die "emake proto failed"
emake everything || die "emake everything failed"

}

src_test() {
cd "${S}/source"
emake test || die "tests failed"
}

src_install() {
cd "${S}/source"

emake DESTDIR="${D}" install-everything || die "emake install-everything failed"

# Extra rpctorture progs
local extra_bins="rpctorture"
for i in ${extra_bins} ; do
[[ -x "${S}/bin/${i}" ]] && dobin "${S}/bin/${i}"
done

# remove .old stuff from /usr/bin:
rm -f "${D}"/usr/bin/*.old

# Removing executable bits from header-files
fperms 644 /usr/include/libsmbclient.h

# Nsswitch extensions. Make link for wins and winbind resolvers
if use winbind ; then
dolib.so nsswitch/libnss_wins.so
dosym libnss_wins.so /usr/$(get_libdir)/libnss_wins.so.2
dolib.so nsswitch/libnss_winbind.so
dosym libnss_winbind.so /usr/$(get_libdir)/libnss_winbind.so.2
fi

# bug #46389: samba doesn't create symlink anymore
# beaviour seems to be changed in 3.0.6, see bug #61046
dosym samba/libsmbclient.so /usr/$(get_libdir)/libsmbclient.so.0
dosym samba/libsmbclient.so /usr/$(get_libdir)/libsmbclient.so

# make the smb backend symlink for cups printing support (bug #133133)
if use cups ; then
dodir $(cups-config --serverbin)/backend
dosym /usr/bin/smbspool $(cups-config --serverbin)/backend/smb
fi

cd "${S}/source"

# General config files
insinto /etc/samba
doins "${CONFDIR}"/{smbusers,lmhosts}
newins "${CONFDIR}/smb.conf.example-samba3" smb.conf.example

newpamd "${CONFDIR}/samba.pam" samba
use winbind && dopamd "${CONFDIR}/system-auth-winbind"
if use swat ; then
insinto /etc/xinetd.d
newins "${CONFDIR}/swat.xinetd" swat
else
rm -f "${D}/usr/sbin/swat"
rm -f "${D}/usr/share/man/man8/swat.8"
fi

newinitd "${FILESDIR}/samba-init" samba
newconfd "${FILESDIR}/samba-conf" samba

if use ldap ; then
insinto /etc/openldap/schema
doins "${S}/examples/LDAP/samba.schema"
fi

if use ipv6 ; then
insinto /etc/xinetd.d
newins "${FILESDIR}/samba-xinetd" smb
fi

# dirs
diropts -m0700 ; keepdir "${PRIVATE_DST}"
diropts -m1777 ; keepdir /var/spool/samba

diropts -m0755
keepdir /var/{log,run,cache}/samba
keepdir /var/lib/samba/{netlogon,profiles}
keepdir /var/lib/samba/printers/{W32X86,WIN40,W32ALPHA,W32MIPS,W32PPC,X64,IA64,COLOR}
keepdir /usr/$(get_libdir)/samba/{rpc,idmap,auth}

# docs
dodoc "${FILESDIR}/README.gentoo"
dodoc "${S}"/{MAINTAINERS,README,Roadmap,WHATSNEW.txt}
dodoc "${CONFDIR}/nsswitch.conf-wins"
use winbind && dodoc "${CONFDIR}/nsswitch.conf-winbind"

if use examples ; then
insinto /usr/share/doc/${PF}
doins -r "${S}/examples/"
find "${D}/usr/share/doc/${PF}" -type d -print0 | xargs -0 chmod 755
find "${D}/usr/share/doc/${PF}/examples" ! -type d -print0 | xargs -0 chmod 644
fi

if ! use doc ; then
if ! use swat ; then
rm -rf "${D}/usr/share/doc/${PF}/swat"
else
rm -rf "${D}/usr/share/doc/${PF}/swat/help"/{guide,howto,devel}
rm -rf "${D}/usr/share/doc/${PF}/swat/using_samba"
fi
fi

}

pkg_preinst() {
local PRIVATE_SRC=/etc/samba/private
if [[ ! -r "${ROOT}/${PRIVATE_DST}/secrets.tdb" \
&& -r "${ROOT}/${PRIVATE_SRC}/secrets.tdb" ]] ; then
ebegin "Copying ${ROOT}/${PRIVATE_SRC}/* to ${ROOT}/${PRIVATE_DST}/"
mkdir -p "${D}/${PRIVATE_DST}"
cp -pPRf "${ROOT}/${PRIVATE_SRC}"/* "${D}/${PRIVATE_DST}/"
eend $?
fi

if [[ ! -f "${ROOT}/etc/samba/smb.conf" ]] ; then
touch "${D}/etc/samba/smb.conf"
fi
}

pkg_postinst() {
if use swat ; then
einfo "swat must be enabled by xinetd:"
einfo " change the /etc/xinetd.d/swat configuration"
fi

if use ipv6 ; then
einfo "ipv6 support must be enabled by xinetd:"
einfo " change the /etc/xinetd.d/smb configuration"
fi

elog "It is possible to start/stop daemons separately:"
elog " Create a symlink from /etc/init.d/samba.{smbd,nmbd,winbind} to"
elog " /etc/init.d/samba. Calling /etc/init.d/samba directly will start"
elog " the daemons configured in /etc/conf.d/samba"

elog "The mount/umount.cifs helper applications are not included anymore."
elog "Please install net-fs/mount-cifs instead."

ewarn "If you're upgrading from 3.0.24 or earlier, please make sure to"
ewarn "restart your clients to clear any cached information about the server."
ewarn "Otherwise they might not be able to connect to the volumes."
}